*  NLP written by GAMS Convert at 08/05/12 20:08:00
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          1        0        1        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         11        1       10        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x4,x8;

Equations  e1;


e1.. -(2*x1**1*x2**1 + 3*x3**1*x4**1 - x5**1*x6**1 + x7**1*x8**1 + x9**1*x10**1
      + x1**0.9*x8**1.9 + 4*x7**0.4*x10**1.7 + 2*x9**0.4*x10**1.4 + 4*x1**0.2*
     x4**3 - 2*x1**0.3*x8**2.1 + 2*x1**0.9*x9**2.7 + 4*x2**0.6*x3**2.2 + x2**1*
     x4**2.7 - x2**0.1*x6**2.5 - 2*x3**0.1*x4**2.6 + 4*x3**0.5*x6**2.2 - 2*x3**
     0.2*x7**3 + x3**0.1*x9**2.5 + 2*x3**0.5*x10**3 + 3*x7**0.9*x9**3 - x9**0.9
     *x10**2.7 + 3*x1**1.4*x9**1 - 3*x2**1.7*x3**0.8 - 4*x2**1.9*x4**0.6 + 2*x2
     **1.3*x9**0.9 - 2*x3**1.4*x4**0.9 - x3**1.5*x5**0.8 - 3*x3**1.7*x8**0.7 + 
     2*x6**1.3*x9**0.4 + x1**1.9*x9**2 - 2*x1**1.3*x4**1.8 - 3*x2**2*x3**1.8 - 
     x2**1.1*x5**1.7 - 4*x3**2*x8**1.9 + 4*x4**2*x5**2 - 2*x4**1.2*x7**1.9 - 4*
     x4**2*x8**1.2 - 4*x5**1.6*x10**1.3 - x6**1.3*x9**1.2 + 2*x2**2.3*x5**0.8
      - 4*x2**2.6*x6**0.7 + 4*x3**2.2*x8**0.6 - 4*x3**2.9*x10**0.6 + 2*x4**2.8*
     x5**0.6 - x4**2.3*x10**0.7 - x5**2.7*x6**0.4 + x6**2.6*x8**0.3 + sqr(x2)
      - sqr(x1) + 4*sqr(x3) + sqr(x4) - sqr(x5) - 2*sqr(x6) - sqr(x7) - 4*sqr(
     x8) - sqr(x9) + sqr(x10)) + x11 =G= 0;

* set non default bounds

x1.lo = 1; x1.up = 6; 
x2.lo = 1; x2.up = 5; 
x3.lo = 1; x3.up = 4; 
x4.up = 2; 
x5.lo = 4; x5.up = 6; 
x6.lo = 1; x6.up = 3; 
x7.lo = 2; x7.up = 4; 
x8.up = 5; 
x9.lo = 1; x9.up = 5; 
x10.lo = 3; x10.up = 6.687403; 

* set non default levels

x1.l = 1; 
x2.l = 1; 
x3.l = 1; 
x5.l = 4; 
x6.l = 1; 
x7.l = 2; 
x9.l = 1; 
x10.l = 3; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
