*  NLP written by GAMS Convert at 08/05/12 20:08:11
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        2        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         32        2       30        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x2,x5,x9,x10;

Equations  e1,e2,e3;


e1.. -(x1**1*x2**1 - 4*x3**1*x4**1 - 2*x5**1*x6**1 + 2*x7**1*x8**1 - 2*x9**1*
     x10**1 + 3*x1**0.6*x7**1.8 - 4*x1**0.8*x9**1.5 - x3**0.7*x10**1.1 + 2*x5**
     0.6*x6**1.1 - 4*x5**0.4*x8**1.7 - x7**0.7*x10**2 - 3*x8**0.4*x10**1.2 + x4
     **1*x5**2.7 - 4*x1**0.5*x2**2.2 + x4**0.1*x8**2.1 + 3*x6**0.9*x10**2.6 - 
     x7**0.1*x10**2.6 + 3*x1**1.5*x10**0.5 - 2*x2**1.9*x7**1 - 2*x3**2*x5**0.4
      - 3*x3**1.6*x10**0.7 + 2*x4**1.5*x8**0.7 - 2*x7**1.8*x9**0.1 + 3*x2**1.9*
     x7**1.7 - 2*x1**2*x9**1.1 - 4*x6**1.4*x7**1.3 + 4*x6**1.1*x8**1.7 + x9**
     1.9*x10**1.8 + 4*x1**2.6*x5**0.1 + 4*x1**2.4*x7**0.7 - 3*x2**2.4*x4**0.5
      - 2*x2**2.9*x8**0.8 - 4*x2**2.6*x9**1 + 4*x5**3*x6**0.8 + 4*sqr(x1) - 3*
     sqr(x2) + 3*sqr(x3) - 4*sqr(x4) - 4*sqr(x6) + sqr(x7) + sqr(x8) - 3*sqr(
     x10)) + x11 =G= 0;

e2.. -(-2*x1**1*x2**1 - 4*x3**1*x4**1 + x5**1*x6**1 - 4*x7**1*x8**1 - x9**1*x10
     **1 + 4*x1**0.5*x6**1.5 + 4*x1**0.7*x9**1.4 - 3*x2**0.6*x7**1.5 + 4*x2**
     0.5*x8**1.8 + 3*x3**0.9*x8**1.8 + 4*x3**0.1*x9**1.8 - 2*x9**0.2*x10**1.1
      + x1**0.1*x4**2.7 - 3*x1**1*x9**2.1 - 4*x2**0.8*x8**2.6 + x2**0.5*x10**
     2.8 + 3*x4**0.8*x6**2.1 - x4**0.2*x9**2.3 - 3*x7**0.8*x9**2.8 - 4*x8**0.7*
     x10**2.8 + x1**1.5*x2**0.4 - 4*x1**2*x4**0.3 - x1**1.5*x7**0.2 + x2**1.3*
     x6**0.3 + x2**1.2*x9**0.6 + 3*x3**1.7*x10**0.6 - 2*x4**1.8*x10**0.6 - x6**
     1.7*x7**1 - 4*x6**1.5*x10**0.6 + (-x1**1.4*x4**1.9) - 2*x2**1.8*x4**1.9 + 
     4*x2**1.4*x8**1.8 - x3**2*x9**1.8 - x3**1.6*x10**2 + 2*x4**1.5*x6**1.6 + 
     x5**1.6*x7**1.1 + 4*x1**2.1*x7**0.4 + x2**2.3*x8**0.2 + 4*x5**2.5*x8**0.6
      - x5**2.5*x10**0.6 - 2*x6**2.8*x9**0.5 - 4*x6**2.6*x10**0.9 - 2*x8**2.9*
     x10**0.8 + 3*sqr(x2) - 3*sqr(x1) + 2*sqr(x3) + 4*sqr(x4) + 2*sqr(x5) - 3*
     sqr(x6) + 2*sqr(x7) + 3*sqr(x8) - 2*sqr(x9) - 2*sqr(x10)) + x11 =G= 0;

e3.. 0.18205190121396*sqr((-4.343702) + x1) + sqr((-1) + x2) + 
     0.444444444444444*sqr((-4.5) + x3) + 0.18205190121396*sqr((-4.343702) + x4
     ) + 0.16*sqr((-2.5) + x5) + 0.25*sqr((-3) + x6) + 4*sqr((-1.5) + x7) + 
     sqr((-5) + x8) + 4*sqr((-0.5) + x9) + sqr((-1) + x10) =L= 1;

* set non default bounds

x1.lo = 2; x1.up = 6.687403; 
x2.up = 2; 
x3.lo = 3; x3.up = 6; 
x4.lo = 2; x4.up = 6.687403; 
x5.up = 5; 
x6.lo = 1; x6.up = 5; 
x7.lo = 1; x7.up = 2; 
x8.lo = 4; x8.up = 6; 
x9.up = 1; 
x10.up = 2; 

* set non default levels

x1.l = 2; 
x3.l = 3; 
x4.l = 2; 
x6.l = 1; 
x7.l = 1; 
x8.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
