*  NLP written by GAMS Convert at 08/05/12 20:08:56
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          1        0        1        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         21        1       20        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x2;

Equations  e1;


e1.. -(2*x1**1*x2**1 + 2*x3**1*x4**1 + 4*x5**1*x6**1 - 4*x7**1*x8**1 - 3*x9**1*
     x10**1 - 3*x11**1*x12**1 - 3*x13**1*x14**1 + 2*x15**1*x16**1 - 2*x17**1*
     x18**1 + x19**1*x20**1 + (-sqr(x1)) - 2*sqr(x2) - sqr(x3) + 3*sqr(x4) - 2*
     sqr(x5) + 4*sqr(x6) + 3*sqr(x7) + 3*sqr(x8) + 4*sqr(x9) + 4*sqr(x10) + 
     sqr(x12) - 2*sqr(x13) + 4*sqr(x14) + 3*sqr(x15) - 4*sqr(x16) + 2*sqr(x17)
      + sqr(x18) + 2*sqr(x19) + 2*sqr(x20)) + x21 =G= 0;

* set non default bounds

x1.lo = 3; x1.up = 4; 
x2.up = 2; 
x3.lo = 3; x3.up = 6; 
x4.lo = 4; x4.up = 5; 
x5.lo = 3; x5.up = 4; 
x6.lo = 3; x6.up = 8; 
x7.lo = 4; x7.up = 5; 
x8.lo = 3; x8.up = 5; 
x9.lo = 1; x9.up = 2; 
x10.lo = 3; x10.up = 4; 
x11.lo = 2; x11.up = 4; 
x12.lo = 2; x12.up = 6; 
x13.lo = 1; x13.up = 3; 
x14.lo = 2; x14.up = 3; 
x15.lo = 1; x15.up = 3; 
x16.lo = 1; x16.up = 3; 
x17.lo = 1; x17.up = 5; 
x18.lo = 4; x18.up = 7; 
x19.lo = 1; x19.up = 5; 
x20.lo = 2; x20.up = 4; 

* set non default levels

x1.l = 3; 
x3.l = 3; 
x4.l = 4; 
x5.l = 3; 
x6.l = 3; 
x7.l = 4; 
x8.l = 3; 
x9.l = 1; 
x10.l = 3; 
x11.l = 2; 
x12.l = 2; 
x13.l = 1; 
x14.l = 2; 
x15.l = 1; 
x16.l = 1; 
x17.l = 1; 
x18.l = 4; 
x19.l = 1; 
x20.l = 2; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
