*  NLP written by GAMS Convert at 08/05/12 20:09:03
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        2        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         42        2       40        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x5,x14;

Equations  e1,e2;


e1.. -(-4*x1**1*x2**1 - 2*x3**1*x4**1 - 2*x5**1*x6**1 - x7**1*x8**1 - x9**1*x10
     **1 + 2*x11**1*x12**1 + 4*x13**1*x14**1 - 4*x15**1*x16**1 + 3*x17**1*x18**
     1 - 4*x19**1*x20**1 + 3*sqr(x1) + sqr(x2) - 3*sqr(x3) + 2*sqr(x4) - 2*sqr(
     x5) - sqr(x6) + sqr(x7) - 3*sqr(x8) + 3*sqr(x10) - sqr(x11) + sqr(x12) - 3
     *sqr(x13) - sqr(x14) - sqr(x15) - 3*sqr(x16) - 4*sqr(x17) - 4*sqr(x18) + 4
     *sqr(x19) + 3*sqr(x20)) + x21 =G= 0;

e2.. -(x3**1*x4**1 - x1**1*x2**1 - x5**1*x6**1 - x7**1*x8**1 - 3*x9**1*x10**1
      + 2*x11**1*x12**1 + 3*x13**1*x14**1 + 4*x15**1*x16**1 + 2*x17**1*x18**1
      + 4*x19**1*x20**1 + 3*sqr(x1) - 3*sqr(x2) + 2*sqr(x3) - sqr(x4) + sqr(x5)
      - 2*sqr(x7) - 4*sqr(x9) - 3*sqr(x10) + 3*sqr(x11) + sqr(x12) + sqr(x13)
      + 2*sqr(x14) - sqr(x15) + 3*sqr(x16) + 4*sqr(x17) + 4*sqr(x18) + 3*sqr(
     x19) - sqr(x20)) + x21 =G= 0;

* set non default bounds

x1.lo = 1; x1.up = 5; 
x2.lo = 4; x2.up = 7; 
x3.lo = 3; x3.up = 5; 
x4.lo = 1; x4.up = 5; 
x5.up = 4; 
x6.lo = 1; x6.up = 3; 
x7.lo = 4; x7.up = 6; 
x8.lo = 3; x8.up = 6; 
x9.lo = 4; x9.up = 7; 
x10.lo = 4; x10.up = 8; 
x11.lo = 4; x11.up = 6; 
x12.lo = 4; x12.up = 9; 
x13.lo = 4; x13.up = 6; 
x14.up = 5; 
x15.lo = 2; x15.up = 6; 
x16.lo = 2; x16.up = 3; 
x17.lo = 1; x17.up = 3; 
x18.lo = 3; x18.up = 5; 
x19.lo = 4; x19.up = 6; 
x20.lo = 1; x20.up = 3; 

* set non default levels

x1.l = 1; 
x2.l = 4; 
x3.l = 3; 
x4.l = 1; 
x6.l = 1; 
x7.l = 4; 
x8.l = 3; 
x9.l = 4; 
x10.l = 4; 
x11.l = 4; 
x12.l = 4; 
x13.l = 4; 
x15.l = 2; 
x16.l = 2; 
x17.l = 1; 
x18.l = 3; 
x19.l = 4; 
x20.l = 1; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
