*  NLP written by GAMS Convert at 08/05/12 20:09:19
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          6        0        5        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*        124        5      119        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x7,x18;

Equations  e1,e2,e3,e4,e5,e6;


e1.. -(-x5**1*x6**1 - 4*x7**1*x8**1 + 4*x11**1*x12**1 - 4*x13**1*x14**1 + 4*x15
     **1*x16**1 - 2*x17**1*x18**1 + (-3*sqr(x1)) - 4*sqr(x2) + 3*sqr(x3) - 2*
     sqr(x4) - 4*sqr(x5) - 2*sqr(x7) - 3*sqr(x9) - 2*sqr(x10) + 2*sqr(x11) + 3*
     sqr(x12) + 4*sqr(x13) - 2*sqr(x14) + 2*sqr(x15) + 4*sqr(x16) + 4*sqr(x17)
      - 3*sqr(x18) - 3*sqr(x19) - 2*sqr(x20)) + x21 =G= 0;

e2.. -(3*x1**1*x2**1 - 4*x3**1*x4**1 + 3*x5**1*x6**1 - 2*x7**1*x8**1 + x11**1*
     x12**1 - 4*x13**1*x14**1 - 3*x15**1*x16**1 - 2*x17**1*x18**1 - 4*x19**1*
     x20**1 + 4*sqr(x1) - 2*sqr(x2) + sqr(x3) - 4*sqr(x4) + 3*sqr(x5) - 3*sqr(
     x6) + 2*sqr(x7) - 2*sqr(x8) + 3*sqr(x9) - 2*sqr(x11) + 4*sqr(x12) + sqr(
     x13) - 4*sqr(x14) - 4*sqr(x15) + sqr(x16) - 2*sqr(x17) - 2*sqr(x18) + 3*
     sqr(x19) - 2*sqr(x20)) + x21 =G= 0;

e3.. -(-4*x1**1*x2**1 - 3*x5**1*x6**1 + 4*x7**1*x8**1 + 4*x9**1*x10**1 - 3*x11
     **1*x12**1 - 3*x13**1*x14**1 + 3*x15**1*x16**1 - 3*x17**1*x18**1 + x19**1*
     x20**1 + 3*sqr(x3) - 3*sqr(x4) + 3*sqr(x5) - 4*sqr(x7) + sqr(x9) + 4*sqr(
     x10) + 3*sqr(x11) - sqr(x12) - 4*sqr(x13) - 3*sqr(x14) - 3*sqr(x15) + 3*
     sqr(x16) - 2*sqr(x17) + 3*sqr(x18) + 3*sqr(x19) + 3*sqr(x20)) + x21 =G= 0;

e4.. -(4*x1**1*x2**1 + x5**1*x6**1 - x7**1*x8**1 - 4*x9**1*x10**1 + 3*x11**1*
     x12**1 - 4*x13**1*x14**1 + 4*x15**1*x16**1 - 2*x17**1*x18**1 - 4*x19**1*
     x20**1 + (-4*sqr(x1)) - 4*sqr(x2) + sqr(x3) + sqr(x4) + 4*sqr(x5) + sqr(x6
     ) + 4*sqr(x7) - 3*sqr(x8) + 3*sqr(x9) + 3*sqr(x10) - 3*sqr(x11) - 4*sqr(
     x12) - 2*sqr(x13) - 4*sqr(x14) - 2*sqr(x15) + 3*sqr(x16) - 4*sqr(x18) - 
     sqr(x19) + 4*sqr(x20)) + x21 =G= 0;

e5.. -(x3**1*x4**1 - x1**1*x2**1 + 4*x5**1*x6**1 - x7**1*x8**1 + x9**1*x10**1
      + 2*x11**1*x12**1 - x13**1*x14**1 - 4*x15**1*x16**1 - 2*x17**1*x18**1 + 3
     *x19**1*x20**1 + 4*sqr(x2) - 4*sqr(x1) - 4*sqr(x3) - 4*sqr(x4) - 4*sqr(x5)
      + 4*sqr(x6) + sqr(x7) - 4*sqr(x8) + 2*sqr(x9) - sqr(x10) + 4*sqr(x11) + 2
     *sqr(x12) - 2*sqr(x13) - 3*sqr(x15) + 4*sqr(x16) - 4*sqr(x17) - 4*sqr(x18)
      - 4*sqr(x19) + sqr(x20)) + x21 =G= 0;

e6.. 0.25*sqr((-6) + x1) + 0.25*sqr((-5) + x2) + 4*sqr((-2.5) + x3) + 4*sqr((-
     4.5) + x4) + 0.444444444444444*sqr((-2.5) + x5) + 0.444444444444444*sqr((-
     2.5) + x6) + sqr((-1) + x7) + 4*sqr((-4.5) + x8) + 0.444444444444444*sqr((
     -2.5) + x9) + sqr((-3) + x10) + 4*sqr((-3.5) + x11) + 0.16*sqr((-6.5) + 
     x12) + 0.16*sqr((-6.5) + x13) + 0.25*sqr((-4) + x14) + 0.444444444444444*
     sqr((-3.5) + x15) + 0.444444444444444*sqr((-3.5) + x16) + 4*sqr((-2.5) + 
     x17) + 0.16*sqr((-2.5) + x18) + sqr((-4) + x19) + sqr((-2) + x20) =L= 1;

* set non default bounds

x1.lo = 4; x1.up = 8; 
x2.lo = 3; x2.up = 7; 
x3.lo = 2; x3.up = 3; 
x4.lo = 4; x4.up = 5; 
x5.lo = 1; x5.up = 4; 
x6.lo = 1; x6.up = 4; 
x7.up = 2; 
x8.lo = 4; x8.up = 5; 
x9.lo = 1; x9.up = 4; 
x10.lo = 2; x10.up = 4; 
x11.lo = 3; x11.up = 4; 
x12.lo = 4; x12.up = 9; 
x13.lo = 4; x13.up = 9; 
x14.lo = 2; x14.up = 6; 
x15.lo = 2; x15.up = 5; 
x16.lo = 2; x16.up = 5; 
x17.lo = 2; x17.up = 3; 
x18.up = 5; 
x19.lo = 3; x19.up = 5; 
x20.lo = 1; x20.up = 3; 

* set non default levels

x1.l = 4; 
x2.l = 3; 
x3.l = 2; 
x4.l = 4; 
x5.l = 1; 
x6.l = 1; 
x8.l = 4; 
x9.l = 1; 
x10.l = 2; 
x11.l = 3; 
x12.l = 4; 
x13.l = 4; 
x14.l = 2; 
x15.l = 2; 
x16.l = 2; 
x17.l = 2; 
x19.l = 3; 
x20.l = 1; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
