*  NLP written by GAMS Convert at 08/05/12 20:09:28
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          1        0        1        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         21        1       20        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x4,x6,x11,x14,x20;

Equations  e1;


e1.. -(-3*x1**1*x2**1 - 2*x3**1*x4**1 - x5**1*x6**1 - x7**1*x8**1 + x9**1*x10**
     1 + 4*x11**1*x12**1 - x13**1*x14**1 + 4*x15**1*x16**1 + 2*x17**1*x18**1 - 
     2*x19**1*x20**1 + x2**0.6*x14**1.3 - 4*x1**0.9*x12**2 - 3*x3**0.4*x4**2 + 
     2*x3**0.8*x8**1.2 + x3**0.5*x10**1.3 + 4*x4**0.4*x8**1.1 - x4**1*x13**1.8
      + 4*x4**0.3*x17**1.4 + 4*x5**0.3*x18**1.1 + 3*x6**0.3*x9**1.1 + 3*x8**0.2
     *x11**1.5 + x8**1*x14**2 - x8**0.5*x17**1.7 - 3*x9**0.2*x11**1.1 + 2*x9**
     0.8*x16**1.3 + 2*x9**0.4*x18**1.7 + 4*x11**0.6*x12**1.9 - x13**0.2*x16**
     1.2 - 4*x13**1*x18**1.4 - 2*x13**0.9*x19**1.2 + 3*x14**0.4*x17**1.3 - x16
     **0.2*x18**2 + 4*x17**0.5*x19**1.1 + (-2*x1**2*x2**1) - 3*x1**1.7*x8**0.3
      - x1**1.8*x20**0.7 + 3*x2**1.7*x7**0.8 + 2*x2**1.7*x14**1 + x3**1.7*x5**
     0.8 + 2*x3**1.2*x11**0.1 + 2*x3**1.1*x12**1 + 4*x4**1.1*x7**0.1 - 4*x5**
     1.6*x7**0.1 + x6**1.6*x14**0.1 - x7**1.4*x8**0.8 - x7**2*x19**0.6 - 2*x9**
     1.7*x10**1 + 3*x11**1.1*x12**0.3 - 3*x12**1.9*x20**0.8 + 4*sqr(x2) - sqr(
     x3) - 4*sqr(x4) - 4*sqr(x5) + 2*sqr(x6) - 2*sqr(x8) - 3*sqr(x9) + sqr(x10)
      + 3*sqr(x11) + 4*sqr(x12) + sqr(x13) + 4*sqr(x14) + 4*sqr(x17) + sqr(x18)
      - 2*sqr(x19) - 3*sqr(x20)) + x21 =G= 0;

* set non default bounds

x1.lo = 3; x1.up = 8; 
x2.lo = 2; x2.up = 6; 
x3.lo = 4; x3.up = 9; 
x4.up = 5; 
x5.lo = 3; x5.up = 5; 
x6.up = 4; 
x7.lo = 3; x7.up = 5; 
x8.lo = 1; x8.up = 4; 
x9.lo = 2; x9.up = 7; 
x10.lo = 4; x10.up = 6; 
x11.up = 4; 
x12.lo = 2; x12.up = 7; 
x13.lo = 4; x13.up = 9; 
x14.up = 1; 
x15.lo = 3; x15.up = 7; 
x16.lo = 3; x16.up = 7; 
x17.lo = 4; x17.up = 5; 
x18.lo = 1; x18.up = 2; 
x19.lo = 2; x19.up = 5; 
x20.up = 3; 

* set non default levels

x1.l = 3; 
x2.l = 2; 
x3.l = 4; 
x5.l = 3; 
x7.l = 3; 
x8.l = 1; 
x9.l = 2; 
x10.l = 4; 
x12.l = 2; 
x13.l = 4; 
x15.l = 3; 
x16.l = 3; 
x17.l = 4; 
x18.l = 1; 
x19.l = 2; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
