*  NLP written by GAMS Convert at 08/05/12 20:10:58
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        1        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         61        1       60        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x1,x5,x7,x8,x9,x13,x14,x15,x16,x17,x20,x21,x27,x30;

Equations  e1,e2;


e1.. -(-4*x3**1*x4**1 - 2*x5**1*x6**1 + 4*x9**1*x10**1 + 2*x11**1*x12**1 + 3*
     x13**1*x14**1 + 2*x17**1*x18**1 + 4*x19**1*x20**1 + 4*x21**1*x22**1 - 3*
     x23**1*x24**1 + 4*x25**1*x26**1 - x27**1*x28**1 + 3*x29**1*x30**1 + (-sqr(
     x1)) - 3*sqr(x2) - sqr(x3) + sqr(x4) + 3*sqr(x5) + 4*sqr(x7) - 4*sqr(x8)
      - 4*sqr(x10) - 2*sqr(x11) + 4*sqr(x12) - 4*sqr(x13) - sqr(x14) - 2*sqr(
     x15) + 2*sqr(x16) + sqr(x17) - 3*sqr(x18) + 4*sqr(x19) - 4*sqr(x20) + sqr(
     x21) - 2*sqr(x22) - 3*sqr(x23) - 2*sqr(x24) + 2*sqr(x27) - 2*sqr(x28) + 3*
     sqr(x29)) + x31 =G= 0;

e2.. sqr((-1) + x1) + 0.25*sqr((-3) + x2) + 4*sqr((-4.5) + x3) + 0.16*sqr((-4.5
     ) + x4) + 0.16*sqr((-2.5) + x5) + 0.25*sqr((-4) + x6) + 4*sqr((-0.5) + x7)
      + 0.25*sqr((-2) + x8) + 0.16*sqr((-2.5) + x9) + sqr((-2) + x10) + 
     0.444444444444444*sqr((-5.5) + x11) + 0.25*sqr((-6) + x12) + 0.16*sqr((-
     2.5) + x13) + 0.444444444444444*sqr((-1.5) + x14) + 0.444444444444444*sqr(
     (-1.5) + x15) + 0.444444444444444*sqr((-1.5) + x16) + 0.25*sqr((-2) + x17)
      + 0.16*sqr((-4.5) + x18) + 0.16*sqr((-5.5) + x19) + 0.16*sqr((-2.5) + x20
     ) + 0.25*sqr((-2) + x21) + sqr((-5) + x22) + 0.16*sqr((-5.5) + x23) + 0.25
     *sqr((-6) + x24) + sqr((-2) + x25) + 0.444444444444444*sqr((-3.5) + x26)
      + sqr((-1) + x27) + sqr((-2) + x28) + 0.25*sqr((-4) + x29) + 0.16*sqr((-
     2.5) + x30) =L= 1;

* set non default bounds

x1.up = 2; 
x2.lo = 1; x2.up = 5; 
x3.lo = 4; x3.up = 5; 
x4.lo = 2; x4.up = 7; 
x5.up = 5; 
x6.lo = 2; x6.up = 6; 
x7.up = 1; 
x8.up = 4; 
x9.up = 5; 
x10.lo = 1; x10.up = 3; 
x11.lo = 4; x11.up = 7; 
x12.lo = 4; x12.up = 8; 
x13.up = 5; 
x14.up = 3; 
x15.up = 3; 
x16.up = 3; 
x17.up = 4; 
x18.lo = 2; x18.up = 7; 
x19.lo = 3; x19.up = 8; 
x20.up = 5; 
x21.up = 4; 
x22.lo = 4; x22.up = 6; 
x23.lo = 3; x23.up = 8; 
x24.lo = 4; x24.up = 8; 
x25.lo = 1; x25.up = 3; 
x26.lo = 2; x26.up = 5; 
x27.up = 2; 
x28.lo = 1; x28.up = 3; 
x29.lo = 2; x29.up = 6; 
x30.up = 5; 

* set non default levels

x2.l = 1; 
x3.l = 4; 
x4.l = 2; 
x6.l = 2; 
x10.l = 1; 
x11.l = 4; 
x12.l = 4; 
x18.l = 2; 
x19.l = 3; 
x22.l = 4; 
x23.l = 3; 
x24.l = 4; 
x25.l = 1; 
x26.l = 2; 
x28.l = 1; 
x29.l = 2; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
