*  NLP written by GAMS Convert at 08/11/12 19:53:04
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        2        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         22        2       20        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x9;

Equations  e1,e2;


e1.. -(4*x1**1*x2**1 - 4*x3**1*x4**1 + 3*x5**1*x6**1 - 4*x7**1*x8**1 + 2*x3**1*
     x9**2 + 3*x4**1*x6**2 - x4**1*x9**2 - 2*x5**1*x7**2 + 4*x5**1*x8**2 - 4*x5
     **1*x9**2 - 3*x8**1*x10**2 + x1**1*x2**3 - x2**1*x3**3 - 4*x2**1*x7**3 + 4
     *x2**1*x10**3 + x3**1*x8**3 - 2*x4**1*x6**3 + 4*x4**1*x8**3 + 2*x5**1*x7**
     3 - 3*x5**1*x10**3 + 2*x7**1*x10**3 + 3*x8**1*x10**3 + (-2*x1**2*x7**1) - 
     2*x2**2*x8**1 - 3*x3**2*x4**1 - x3**2*x5**1 + 4*x4**2*x9**1 - 2*x4**2*x10
     **1 + 2*x5**2*x9**1 - x6**2*x8**1 + 2*x9**2*x10**1 + 4*x3**2*x4**2 - 4*x1
     **2*x10**2 - 3*x3**2*x8**2 - 2*x3**2*x9**2 - 2*x3**2*x10**2 - 2*x5**2*x6**
     2 + 3*x5**2*x7**2 - 3*x7**2*x8**2 - x8**2*x10**2 + 3*x1**3*x2**1 + x1**3*
     x7**1 + 3*x1**3*x10**1 - 4*x2**3*x7**1 - 3*x3**3*x4**1 - 4*x5**3*x10**1 + 
     4*x6**3*x9**1 - 4*x6**3*x10**1 - 4*x7**3*x8**1 + 4*sqr(x3) - 3*sqr(x2) + 4
     *sqr(x4) - 2*sqr(x5) - sqr(x7) + 4*sqr(x8) - 3*sqr(x9) + 2*sqr(x10)) + x11
      =G= 0;

e2.. -(-4*x1**1*x2**1 - 4*x3**1*x4**1 + 3*x5**1*x6**1 + 3*x7**1*x8**1 - 4*x9**1
     *x10**1 + (-2*x2**1*x10**2) - 3*x3**1*x9**2 + x3**1*x10**2 + x5**1*x7**2
      + 4*x6**1*x10**2 + 3*x1**1*x6**3 + 3*x2**1*x4**3 + 3*x2**1*x6**3 + 3*x2**
     1*x7**3 + x2**1*x10**3 - x3**1*x9**3 - 4*x4**1*x7**3 - x7**1*x8**3 + 3*x1
     **2*x4**1 - 4*x1**2*x5**1 + 4*x1**2*x10**1 - 2*x2**2*x3**1 + 4*x2**2*x7**1
      + 4*x3**2*x5**1 + 3*x3**2*x10**1 - 3*x4**2*x5**1 + 3*x9**2*x10**1 + x1**2
     *x4**2 - x1**2*x7**2 - 2*x1**2*x9**2 + 2*x2**2*x6**2 + 2*x2**2*x8**2 - 4*
     x3**2*x8**2 + 3*x3**2*x9**2 - x6**2*x9**2 - 4*x7**2*x8**2 - 2*x7**2*x9**2
      - 4*x7**2*x10**2 + 2*x1**3*x3**1 - 4*x1**3*x5**1 - x1**3*x9**1 + 4*x2**3*
     x6**1 + x2**3*x7**1 - 3*x2**3*x8**1 - x3**3*x5**1 - 4*x5**3*x7**1 + 4*x6**
     3*x10**1 + sqr(x3) - 3*sqr(x1) - sqr(x4) + 3*sqr(x5) + sqr(x6) - 3*sqr(x7)
      - 2*sqr(x8) + 2*sqr(x9) + 3*sqr(x10)) + x11 =G= 0;

* set non default bounds

x1.lo = 2; x1.up = 3; 
x2.lo = 1; x2.up = 2; 
x3.lo = 2; x3.up = 5; 
x4.lo = 1; x4.up = 6; 
x5.lo = 3; x5.up = 6.687403; 
x6.lo = 3; x6.up = 6; 
x7.lo = 2; x7.up = 6.687403; 
x8.lo = 4; x8.up = 5; 
x9.up = 5; 
x10.lo = 1; x10.up = 5; 

* set non default levels

x1.l = 2; 
x2.l = 1; 
x3.l = 2; 
x4.l = 1; 
x5.l = 3; 
x6.l = 3; 
x7.l = 2; 
x8.l = 4; 
x10.l = 1; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
