*  NLP written by GAMS Convert at 08/11/12 19:53:55
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        2        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         60        2       58        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x5,x19;

Equations  e1,e2,e3;


e1.. -(x1**1*x2**1 + 4*x3**1*x4**1 - 2*x5**1*x6**1 - 3*x7**1*x8**1 + x9**1*x10
     **1 - x11**1*x12**1 + 4*x13**1*x14**1 + x15**1*x16**1 + 4*sqr(x1) + 3*sqr(
     x2) + 2*sqr(x4) - 3*sqr(x5) + 3*sqr(x6) + 3*sqr(x7) - 2*sqr(x8) + 3*sqr(x9
     ) + 3*sqr(x10) - sqr(x11) - sqr(x12) + sqr(x13) - 4*sqr(x14) + sqr(x15) + 
     3*sqr(x16) - 4*sqr(x17) + sqr(x18) + 2*sqr(x19)) + x21 =G= 0;

e2.. -(-2*x1**1*x2**1 - x5**1*x6**1 + x7**1*x8**1 + x9**1*x10**1 - x11**1*x12**
     1 + 4*x13**1*x14**1 - 4*x15**1*x16**1 + 3*x17**1*x18**1 - 3*x19**1*x20**1
      + 4*sqr(x1) + 3*sqr(x2) - sqr(x4) + 4*sqr(x5) - 4*sqr(x6) - 2*sqr(x7) - 3
     *sqr(x8) - 4*sqr(x9) - 4*sqr(x10) + 4*sqr(x11) + 4*sqr(x12) + sqr(x13) - 3
     *sqr(x14) - sqr(x15) + 2*sqr(x16) + 2*sqr(x17) - 4*sqr(x18) + 3*sqr(x19))
      + x21 =G= 0;

e3.. sqr((-3) + x1) + 0.444444444444444*sqr((-5.5) + x2) + 4*sqr((-2.5) + x3)
      + 0.25*sqr((-5) + x4) + 0.444444444444444*sqr((-1.5) + x5) + 0.25*sqr((-4
     ) + x6) + sqr((-5) + x7) + 0.25*sqr((-5) + x8) + 0.16*sqr((-6.5) + x9) + 
     sqr((-5) + x10) + 0.16*sqr((-6.5) + x11) + 0.16*sqr((-6.5) + x12) + 
     0.444444444444444*sqr((-5.5) + x13) + 0.444444444444444*sqr((-5.5) + x14)
      + 4*sqr((-2.5) + x15) + 0.444444444444444*sqr((-5.5) + x16) + 0.25*sqr((-
     4) + x17) + 0.16*sqr((-6.5) + x18) + 0.444444444444444*sqr((-1.5) + x19)
      + sqr((-5) + x20) =L= 1;

* set non default bounds

x1.lo = 2; x1.up = 4; 
x2.lo = 4; x2.up = 7; 
x3.lo = 2; x3.up = 3; 
x4.lo = 3; x4.up = 7; 
x5.up = 3; 
x6.lo = 2; x6.up = 6; 
x7.lo = 4; x7.up = 6; 
x8.lo = 3; x8.up = 7; 
x9.lo = 4; x9.up = 9; 
x10.lo = 4; x10.up = 6; 
x11.lo = 4; x11.up = 9; 
x12.lo = 4; x12.up = 9; 
x13.lo = 4; x13.up = 7; 
x14.lo = 4; x14.up = 7; 
x15.lo = 2; x15.up = 3; 
x16.lo = 4; x16.up = 7; 
x17.lo = 2; x17.up = 6; 
x18.lo = 4; x18.up = 9; 
x19.up = 3; 
x20.lo = 4; x20.up = 6; 

* set non default levels

x1.l = 2; 
x2.l = 4; 
x3.l = 2; 
x4.l = 3; 
x6.l = 2; 
x7.l = 4; 
x8.l = 3; 
x9.l = 4; 
x10.l = 4; 
x11.l = 4; 
x12.l = 4; 
x13.l = 4; 
x14.l = 4; 
x15.l = 2; 
x16.l = 4; 
x17.l = 2; 
x18.l = 4; 
x20.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
