*  NLP written by GAMS Convert at 08/11/12 19:54:01
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          4        0        3        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         83        3       80        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x3,x5,x6;

Equations  e1,e2,e3,e4;


e1.. -(2*x3**1*x4**1 - 3*x1**1*x2**1 + 4*x5**1*x6**1 + x7**1*x8**1 - x11**1*x12
     **1 + 2*x13**1*x14**1 - 4*x15**1*x16**1 + 3*x17**1*x18**1 - 3*x19**1*x20**
     1 + sqr(x1) + sqr(x2) + 4*sqr(x3) + 4*sqr(x4) + 4*sqr(x5) - 2*sqr(x6) + 2*
     sqr(x7) + 4*sqr(x9) - 4*sqr(x10) - 2*sqr(x11) + 2*sqr(x12) + 3*sqr(x13) + 
     3*sqr(x14) + 3*sqr(x15) + sqr(x16) - 4*sqr(x17) - sqr(x18) + sqr(x19) - 
     sqr(x20)) + x21 =G= 0;

e2.. -(-2*x1**1*x2**1 - x3**1*x4**1 - 3*x7**1*x8**1 + x9**1*x10**1 - x11**1*x12
     **1 + 4*x13**1*x14**1 - 4*x15**1*x16**1 - 2*x17**1*x18**1 - 4*x19**1*x20**
     1 + (-2*sqr(x1)) - 2*sqr(x3) + sqr(x4) + 4*sqr(x5) + sqr(x6) - 4*sqr(x7)
      - 2*sqr(x8) + 3*sqr(x9) + 3*sqr(x10) - 4*sqr(x11) - sqr(x12) - 3*sqr(x13)
      + 4*sqr(x14) - 4*sqr(x15) - 4*sqr(x16) + 4*sqr(x17) - 2*sqr(x19) + sqr(
     x20)) + x21 =G= 0;

e3.. -(2*x3**1*x4**1 - 2*x1**1*x2**1 + 4*x5**1*x6**1 - x9**1*x10**1 - 3*x11**1*
     x12**1 - x13**1*x14**1 - 3*x17**1*x18**1 + x19**1*x20**1 + (-2*sqr(x1)) - 
     2*sqr(x3) - 4*sqr(x4) - 3*sqr(x5) + 3*sqr(x6) - sqr(x7) - 3*sqr(x8) - 2*
     sqr(x9) - 4*sqr(x10) - 2*sqr(x11) - 2*sqr(x12) - 2*sqr(x13) + sqr(x15) - 3
     *sqr(x16) + 3*sqr(x17) + sqr(x18) - 2*sqr(x19) + sqr(x20)) + x21 =G= 0;

e4.. 0.25*sqr((-5) + x1) + 0.25*sqr((-4) + x2) + 0.444444444444444*sqr((-1.5)
      + x3) + sqr((-2) + x4) + 0.444444444444444*sqr((-1.5) + x5) + 
     0.444444444444444*sqr((-1.5) + x6) + 0.16*sqr((-5.5) + x7) + 4*sqr((-1.5)
      + x8) + 0.25*sqr((-4) + x9) + 0.16*sqr((-6.5) + x10) + 0.16*sqr((-6.5) + 
     x11) + 0.444444444444444*sqr((-4.5) + x12) + 0.25*sqr((-6) + x13) + sqr((-
     4) + x14) + 0.25*sqr((-6) + x15) + 0.16*sqr((-3.5) + x16) + 0.25*sqr((-3)
      + x17) + 0.25*sqr((-5) + x18) + 0.16*sqr((-5.5) + x19) + 0.25*sqr((-3) + 
     x20) =L= 1;

* set non default bounds

x1.lo = 3; x1.up = 7; 
x2.lo = 2; x2.up = 6; 
x3.up = 3; 
x4.lo = 1; x4.up = 3; 
x5.up = 3; 
x6.up = 3; 
x7.lo = 3; x7.up = 8; 
x8.lo = 1; x8.up = 2; 
x9.lo = 2; x9.up = 6; 
x10.lo = 4; x10.up = 9; 
x11.lo = 4; x11.up = 9; 
x12.lo = 3; x12.up = 6; 
x13.lo = 4; x13.up = 8; 
x14.lo = 3; x14.up = 5; 
x15.lo = 4; x15.up = 8; 
x16.lo = 1; x16.up = 6; 
x17.lo = 1; x17.up = 5; 
x18.lo = 3; x18.up = 7; 
x19.lo = 3; x19.up = 8; 
x20.lo = 1; x20.up = 5; 

* set non default levels

x1.l = 3; 
x2.l = 2; 
x4.l = 1; 
x7.l = 3; 
x8.l = 1; 
x9.l = 2; 
x10.l = 4; 
x11.l = 4; 
x12.l = 3; 
x13.l = 4; 
x14.l = 3; 
x15.l = 4; 
x16.l = 1; 
x17.l = 1; 
x18.l = 3; 
x19.l = 3; 
x20.l = 1; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
