*  NLP written by GAMS Convert at 08/11/12 19:54:15
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        1        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         41        1       40        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x6,x9,x11,x12;

Equations  e1,e2;


e1.. -(-4*x3**1*x4**1 - 3*x5**1*x6**1 + 4*x7**1*x8**1 - 3*x9**1*x10**1 + 4*x11
     **1*x12**1 + 4*x13**1*x14**1 - x15**1*x16**1 - 4*x17**1*x18**1 - x19**1*
     x20**1 + (-4*x1**1*x4**2) - 4*x2**1*x10**2 + x2**1*x15**2 - 4*x2**1*x18**2
      + 2*x3**1*x7**2 + x5**1*x15**2 + 4*x7**1*x14**2 - 4*x9**1*x15**2 - 3*x10
     **1*x12**2 - 2*x10**1*x19**2 - 2*x11**1*x16**2 + x11**1*x17**2 - 2*x11**1*
     x19**2 + 4*x2**2*x17**1 - 2*x2**2*x19**1 - 3*x5**2*x7**1 + 2*x5**2*x17**1
      - x6**2*x16**1 + 4*x7**2*x16**1 - 2*x8**2*x12**1 + 2*x8**2*x18**1 + 4*x10
     **2*x16**1 + x12**2*x15**1 - 2*x13**2*x17**1 - 3*x16**2*x19**1 + (-sqr(x1)
     ) - 2*sqr(x3) + sqr(x4) - 4*sqr(x5) + 4*sqr(x7) + 4*sqr(x8) - sqr(x9) - 4*
     sqr(x10) + sqr(x11) + sqr(x12) + 2*sqr(x13) + 4*sqr(x14) + 4*sqr(x15) - 4*
     sqr(x16) + 3*sqr(x17) + 2*sqr(x18) + 2*sqr(x19) - 2*sqr(x20)) + x21 =G= 0;

e2.. sqr((-2) + x1) + 0.16*sqr((-3.5) + x2) + sqr((-4) + x3) + sqr((-5) + x4)
      + sqr((-3) + x5) + 0.25*sqr((-2) + x6) + 0.25*sqr((-6) + x7) + sqr((-5)
      + x8) + sqr((-1) + x9) + 0.16*sqr((-3.5) + x10) + 4*sqr((-0.5) + x11) + 4
     *sqr((-0.5) + x12) + 0.444444444444444*sqr((-4.5) + x13) + sqr((-5) + x14)
      + 0.16*sqr((-5.5) + x15) + 4*sqr((-3.5) + x16) + sqr((-2) + x17) + sqr((-
     5) + x18) + 4*sqr((-4.5) + x19) + 0.16*sqr((-4.5) + x20) =L= 1;

* set non default bounds

x1.lo = 1; x1.up = 3; 
x2.lo = 1; x2.up = 6; 
x3.lo = 3; x3.up = 5; 
x4.lo = 4; x4.up = 6; 
x5.lo = 2; x5.up = 4; 
x6.up = 4; 
x7.lo = 4; x7.up = 8; 
x8.lo = 4; x8.up = 6; 
x9.up = 2; 
x10.lo = 1; x10.up = 6; 
x11.up = 1; 
x12.up = 1; 
x13.lo = 3; x13.up = 6; 
x14.lo = 4; x14.up = 6; 
x15.lo = 3; x15.up = 8; 
x16.lo = 3; x16.up = 4; 
x17.lo = 1; x17.up = 3; 
x18.lo = 4; x18.up = 6; 
x19.lo = 4; x19.up = 5; 
x20.lo = 2; x20.up = 7; 

* set non default levels

x1.l = 1; 
x2.l = 1; 
x3.l = 3; 
x4.l = 4; 
x5.l = 2; 
x7.l = 4; 
x8.l = 4; 
x10.l = 1; 
x13.l = 3; 
x14.l = 4; 
x15.l = 3; 
x16.l = 3; 
x17.l = 1; 
x18.l = 4; 
x19.l = 4; 
x20.l = 2; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
