*  NLP written by GAMS Convert at 08/11/12 19:55:44
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        1        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         60        1       59        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x8,x9,x10,x12,x13,x22,x26,x28;

Equations  e1,e2;


e1.. -(2*x3**1*x4**1 - 3*x1**1*x2**1 - x5**1*x6**1 - 2*x13**1*x14**1 - 2*x15**1
     *x16**1 - x17**1*x18**1 - 4*x19**1*x20**1 - 4*x21**1*x22**1 - x23**1*x24**
     1 - 2*x25**1*x26**1 + 4*x27**1*x28**1 - 3*x29**1*x30**1 + sqr(x1) - 4*sqr(
     x2) + 2*sqr(x3) + 2*sqr(x4) + sqr(x5) + sqr(x6) + 4*sqr(x7) - sqr(x8) - 2*
     sqr(x9) + 3*sqr(x10) - 2*sqr(x11) + 4*sqr(x13) + 4*sqr(x14) - 4*sqr(x15)
      + 3*sqr(x16) - 2*sqr(x18) - 2*sqr(x19) - sqr(x20) + 2*sqr(x21) + 2*sqr(
     x22) - 4*sqr(x23) - 4*sqr(x25) + 4*sqr(x26) - sqr(x27) - sqr(x28) + 4*sqr(
     x29) + 3*sqr(x30)) + x31 =G= 0;

e2.. 4*sqr((-1.5) + x1) + 0.444444444444444*sqr((-2.5) + x2) + 0.16*sqr((-3.5)
      + x3) + sqr((-2) + x4) + sqr((-4) + x5) + 4*sqr((-3.5) + x6) + 4*sqr((-
     1.5) + x7) + 0.16*sqr((-2.5) + x8) + 0.444444444444444*sqr((-1.5) + x9) + 
     4*sqr((-0.5) + x10) + 0.444444444444444*sqr((-3.5) + x11) + 0.25*sqr((-2)
      + x12) + 0.16*sqr((-2.5) + x13) + 0.16*sqr((-3.5) + x14) + 0.16*sqr((-4.5
     ) + x15) + 0.16*sqr((-4.5) + x16) + 0.25*sqr((-6) + x17) + 
     0.444444444444444*sqr((-4.5) + x18) + sqr((-4) + x19) + 0.25*sqr((-6) + 
     x20) + 0.444444444444444*sqr((-3.5) + x21) + 4*sqr((-0.5) + x22) + 4*sqr((
     -2.5) + x23) + 0.16*sqr((-3.5) + x24) + sqr((-3) + x25) + 
     0.444444444444444*sqr((-1.5) + x26) + 0.444444444444444*sqr((-2.5) + x27)
      + 0.25*sqr((-2) + x28) + sqr((-5) + x29) + sqr((-5) + x30) =L= 1;

* set non default bounds

x1.lo = 1; x1.up = 2; 
x2.lo = 1; x2.up = 4; 
x3.lo = 1; x3.up = 6; 
x4.lo = 1; x4.up = 3; 
x5.lo = 3; x5.up = 5; 
x6.lo = 3; x6.up = 4; 
x7.lo = 1; x7.up = 2; 
x8.up = 5; 
x9.up = 3; 
x10.up = 1; 
x11.lo = 2; x11.up = 5; 
x12.up = 4; 
x13.up = 5; 
x14.lo = 1; x14.up = 6; 
x15.lo = 2; x15.up = 7; 
x16.lo = 2; x16.up = 7; 
x17.lo = 4; x17.up = 8; 
x18.lo = 3; x18.up = 6; 
x19.lo = 3; x19.up = 5; 
x20.lo = 4; x20.up = 8; 
x21.lo = 2; x21.up = 5; 
x22.up = 1; 
x23.lo = 2; x23.up = 3; 
x24.lo = 1; x24.up = 6; 
x25.lo = 2; x25.up = 4; 
x26.up = 3; 
x27.lo = 1; x27.up = 4; 
x28.up = 4; 
x29.lo = 4; x29.up = 6; 
x30.lo = 4; x30.up = 6; 

* set non default levels

x1.l = 1; 
x2.l = 1; 
x3.l = 1; 
x4.l = 1; 
x5.l = 3; 
x6.l = 3; 
x7.l = 1; 
x11.l = 2; 
x14.l = 1; 
x15.l = 2; 
x16.l = 2; 
x17.l = 4; 
x18.l = 3; 
x19.l = 3; 
x20.l = 4; 
x21.l = 2; 
x23.l = 2; 
x24.l = 1; 
x25.l = 2; 
x27.l = 1; 
x29.l = 4; 
x30.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
