*  NLP written by GAMS Convert at 08/05/12 20:07:19
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        3        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         33        3       30        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x3;

Equations  e1,e2,e3;


e1.. -(-4*x1**1*x2**1 - 2*x3**1*x4**1 + x7**1*x8**1 - x9**1*x10**1 + 4*sqr(x1)
      + 4*sqr(x2) - 3*sqr(x4) + sqr(x5) - 2*sqr(x6) - 2*sqr(x7) + 2*sqr(x8) - 3
     *sqr(x9) + 3*sqr(x10)) + x11 =G= 0;

e2.. -(-4*x1**1*x2**1 - 3*x3**1*x4**1 - 2*x5**1*x6**1 - 4*x7**1*x8**1 + 2*x9**1
     *x10**1 + 4*sqr(x1) + 4*sqr(x2) + 3*sqr(x3) - 2*sqr(x4) + 2*sqr(x5) + 4*
     sqr(x7) - 3*sqr(x8) + 4*sqr(x9) + sqr(x10)) + x11 =G= 0;

e3.. -(x3**1*x4**1 - 4*x1**1*x2**1 - 2*x5**1*x6**1 + 2*x7**1*x8**1 + 2*sqr(x3)
      + 2*sqr(x5) + 4*sqr(x6) - sqr(x7) - 2*sqr(x8) - 4*sqr(x9) + 4*sqr(x10))
      + x11 =G= 0;

* set non default bounds

x1.lo = 4; x1.up = 5; 
x2.lo = 3; x2.up = 4; 
x3.up = 5; 
x4.lo = 2; x4.up = 5; 
x5.lo = 4; x5.up = 7; 
x6.lo = 3; x6.up = 6; 
x7.lo = 1; x7.up = 5; 
x8.lo = 3; x8.up = 8; 
x9.lo = 2; x9.up = 3; 
x10.lo = 3; x10.up = 8; 

* set non default levels

x1.l = 4; 
x2.l = 3; 
x4.l = 2; 
x5.l = 4; 
x6.l = 3; 
x7.l = 1; 
x8.l = 3; 
x9.l = 2; 
x10.l = 3; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
