*  NLP written by GAMS Convert at 08/05/12 20:07:34
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          1        0        1        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         11        1       10        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x5,x8;

Equations  e1;


e1.. -(4*x1**1*x2**1 + 3*x3**1*x4**1 - 4*x5**1*x6**1 - x7**1*x8**1 + 2*x9**1*
     x10**1 + (-3*x1**0.3*x5**1.8) - 3*x2**0.4*x10**1.8 - 3*x5**0.4*x10**1.1 - 
     3*x6**0.8*x7**1.6 - x7**0.3*x9**2 - 4*x7**0.4*x10**1.6 + 4*x9**0.3*x10**
     1.9 + 4*x1**1.7*x7**0.5 - 2*x1**1.2*x9**0.7 + 2*x3**1.4*x5**0.1 + 3*x3**
     1.8*x8**0.5 + 2*x4**1.6*x7**0.4 + 2*x4**2*x8**0.6 - 3*x5**1.4*x7**0.6 - 4*
     x6**1.2*x10**0.2 - 3*x7**1.3*x10**0.8 + 4*sqr(x2) - 3*sqr(x3) - 4*sqr(x4)
      - sqr(x5) + sqr(x6) + 4*sqr(x7) + 4*sqr(x8) + 3*sqr(x9) - sqr(x10)) + x11
      =G= 0;

* set non default bounds

x1.lo = 3; x1.up = 5; 
x2.lo = 1; x2.up = 6; 
x3.lo = 1; x3.up = 2; 
x4.lo = 4; x4.up = 5; 
x5.up = 5; 
x6.lo = 2; x6.up = 6; 
x7.lo = 1; x7.up = 3; 
x8.up = 2; 
x9.lo = 3; x9.up = 6; 
x10.lo = 3; x10.up = 5; 

* set non default levels

x1.l = 3; 
x2.l = 1; 
x3.l = 1; 
x4.l = 4; 
x6.l = 2; 
x7.l = 1; 
x9.l = 3; 
x10.l = 3; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
