*  NLP written by GAMS Convert at 08/05/12 20:07:45
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        2        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         32        2       30        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x1,x6,x10;

Equations  e1,e2,e3;


e1.. -(-3*x1**1*x2**1 - 4*x3**1*x4**1 + 4*x5**1*x6**1 - 4*x7**1*x8**1 - 3*x9**1
     *x10**1 + 3*x2**0.6*x7**1.5 - 4*x1**0.5*x2**1.7 + 2*x2**0.4*x9**2 + 2*x4**
     0.3*x6**2 - 4*x7**0.8*x8**1.6 + 3*x7**0.6*x10**1.6 + 4*x1**1.7*x6**1 + 2*
     x1**1.6*x8**0.2 + 2*x2**1.1*x9**0.9 - x5**1.6*x9**0.7 + 3*sqr(x1) - 2*sqr(
     x2) + 3*sqr(x3) - 2*sqr(x4) + sqr(x5) + 3*sqr(x7) + sqr(x8) + sqr(x9) + 3*
     sqr(x10)) + x11 =G= 0;

e2.. -(2*x3**1*x4**1 - 3*x1**1*x2**1 + x5**1*x6**1 + 3*x7**1*x8**1 - x9**1*x10
     **1 + (-2*x1**0.3*x8**1.6) - 2*x1**0.7*x10**1.4 + 3*x3**0.2*x5**1.4 + 2*x3
     **1*x8**2 - 4*x5**0.8*x10**1.6 + 3*x6**0.3*x7**1.8 + 2*x7**0.3*x8**1.8 + (
     -4*x1**2*x5**0.9) - 3*x2**2*x10**1 - 2*x5**1.3*x9**0.3 + sqr(x2) - sqr(x1)
      + 4*sqr(x3) - sqr(x4) + sqr(x5) + 2*sqr(x6) - sqr(x7) - 4*sqr(x8) - 2*
     sqr(x9) + 3*sqr(x10)) + x11 =G= 0;

e3.. 0.444444444444444*sqr((-1.5) + x1) + 4*sqr((-1.5) + x2) + 4*sqr((-2.5) + 
     x3) + sqr((-4) + x4) + sqr((-3) + x5) + 0.444444444444444*sqr((-1.5) + x6)
      + 0.444444444444444*sqr((-2.5) + x7) + 4*sqr((-4.5) + x8) + sqr((-4) + x9
     ) + sqr((-1) + x10) =L= 1;

* set non default bounds

x1.up = 3; 
x2.lo = 1; x2.up = 2; 
x3.lo = 2; x3.up = 3; 
x4.lo = 3; x4.up = 5; 
x5.lo = 2; x5.up = 4; 
x6.up = 3; 
x7.lo = 1; x7.up = 4; 
x8.lo = 4; x8.up = 5; 
x9.lo = 3; x9.up = 5; 
x10.up = 2; 

* set non default levels

x2.l = 1; 
x3.l = 2; 
x4.l = 3; 
x5.l = 2; 
x7.l = 1; 
x8.l = 4; 
x9.l = 3; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
