*  NLP written by GAMS Convert at 08/05/12 20:08:32
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        1        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         21        1       20        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x6,x9;

Equations  e1,e2;


e1.. -(x1**1*x2**1 - x3**1*x4**1 - 3*x5**1*x6**1 + 2*x9**1*x10**1 + 3*x2**1*x4
     **1.2 - 2*x1**0.9*x10**2 - 3*x3**0.3*x10**1.9 - 3*x4**0.9*x9**1.1 + 4*x1**
     0.8*x3**2.8 - x1**0.6*x4**2.8 + x1**0.9*x5**2.5 + x1**0.5*x10**2.5 - 3*x2
     **0.5*x8**2.1 + 4*x8**0.1*x9**2.3 + (-2*x1**0.9*x7**3.4) - x2**0.4*x4**3.4
      + 3*x2**0.2*x5**3.1 - 3*x2**0.3*x6**3.4 - x4**0.4*x10**3.4 + 3*x5**0.9*
     x10**3.3 + 4*x6**0.4*x10**3.1 + (-4*x1**1.3*x8**0.9) - 3*x2**1.5*x7**0.7
      + 2*x5**2*x6**0.5 - 4*x5**1.8*x7**0.8 + x5**1.6*x9**0.5 - 3*x7**1.6*x9**
     0.2 - x7**1.7*x10**0.6 + x3**1.9*x7**1.7 - 2*x1**1.2*x4**2 + x4**1.7*x7**
     1.5 + x5**1.4*x8**1.8 + 3*x7**2*x10**1.4 - 3*x8**1.3*x9**1.4 + x3**1.8*x5
     **2.2 - 2*x2**1.5*x6**2.4 + 4*x4**1.6*x10**2.6 + x6**1.5*x7**2.1 - x6**1.9
     *x10**3 + 3*x8**1.2*x9**2.9 + 2*x1**2.9*x2**0.7 + 4*x1**2.3*x8**0.3 - 2*x2
     **2.9*x9**1 + x3**2.4*x6**0.1 - 2*x3**2.5*x8**0.8 + 3*x4**3*x10**0.9 + 3*
     x5**2.1*x9**0.2 - 3*x6**2.3*x9**0.5 - 2*x7**2.6*x8**0.6 - 2*x8**2.7*x10**
     0.9 + x1**2.8*x5**1.2 + 3*x2**2.1*x5**1.8 + 3*x2**3*x7**1.9 + 2*x3**2.3*x4
     **1.7 + x3**2.7*x5**2 + 4*x3**2.5*x9**1.1 + 2*x4**2.2*x6**1.6 + 3*x4**2.5*
     x8**1.2 - 2*x5**2.8*x7**1.3 + 4*x6**2.2*x8**1.9 + 3*x5**3.2*x6**0.5 - x2**
     3.6*x9**0.7 + x5**3.8*x8**0.9 + 3*x5**3.5*x9**0.1 + (-2*sqr(x1)) - 2*sqr(
     x2) - 4*sqr(x3) + 2*sqr(x4) - 4*sqr(x5) - 3*sqr(x6) + sqr(x7) + 4*sqr(x8)
      - 3*sqr(x9) + 3*sqr(x10)) + x11 =G= 0;

e2.. 0.604176098193835*sqr((-3.286525) + x1) + 0.604176098193835*sqr((-3.286525
     ) + x2) + 12.1807760236894*sqr((-4.286525) + x3) + 4*sqr((-1.5) + x4) + 
     0.604176098193835*sqr((-3.286525) + x5) + 0.25*sqr((-2) + x6) + 4*sqr((-
     2.5) + x7) + 0.604176098193835*sqr((-3.286525) + x8) + sqr((-1) + x9) + 
     0.313315444996617*sqr((-2.786525) + x10) =L= 1;

* set non default bounds

x1.lo = 2; x1.up = 4.573051; 
x2.lo = 2; x2.up = 4.573051; 
x3.lo = 4; x3.up = 4.573051; 
x4.lo = 1; x4.up = 2; 
x5.lo = 2; x5.up = 4.573051; 
x6.up = 4; 
x7.lo = 2; x7.up = 3; 
x8.lo = 2; x8.up = 4.573051; 
x9.up = 2; 
x10.lo = 1; x10.up = 4.573051; 

* set non default levels

x1.l = 2; 
x2.l = 2; 
x3.l = 4; 
x4.l = 1; 
x5.l = 2; 
x7.l = 2; 
x8.l = 2; 
x10.l = 1; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
