*  NLP written by GAMS Convert at 08/05/12 20:08:58
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          1        0        1        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         21        1       20        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x2,x4,x9,x13,x19;

Equations  e1;


e1.. -(4*x1**1*x2**1 - 4*x3**1*x4**1 - 2*x5**1*x6**1 - 3*x7**1*x8**1 - 3*x11**1
     *x12**1 + 2*x13**1*x14**1 - 4*x15**1*x16**1 - 3*x19**1*x20**1 + (-4*sqr(x2
     )) - 3*sqr(x3) - sqr(x4) - 3*sqr(x5) - 4*sqr(x6) - 2*sqr(x7) - sqr(x8) + 
     sqr(x9) + 2*sqr(x10) - 4*sqr(x11) - 2*sqr(x12) + 3*sqr(x13) - sqr(x14) + 2
     *sqr(x15) + sqr(x16) + 2*sqr(x17) - 2*sqr(x18) + sqr(x19) - sqr(x20))
      + x21 =G= 0;

* set non default bounds

x1.lo = 3; x1.up = 6; 
x2.up = 1; 
x3.lo = 3; x3.up = 7; 
x4.up = 1; 
x5.lo = 4; x5.up = 8; 
x6.lo = 1; x6.up = 2; 
x7.lo = 4; x7.up = 8; 
x8.lo = 1; x8.up = 3; 
x9.up = 1; 
x10.lo = 1; x10.up = 5; 
x11.lo = 3; x11.up = 5; 
x12.lo = 4; x12.up = 9; 
x13.up = 5; 
x14.lo = 4; x14.up = 6; 
x15.lo = 3; x15.up = 4; 
x16.lo = 3; x16.up = 7; 
x17.lo = 4; x17.up = 5; 
x18.lo = 3; x18.up = 6; 
x19.up = 1; 
x20.lo = 3; x20.up = 8; 

* set non default levels

x1.l = 3; 
x3.l = 3; 
x5.l = 4; 
x6.l = 1; 
x7.l = 4; 
x8.l = 1; 
x10.l = 1; 
x11.l = 3; 
x12.l = 4; 
x14.l = 4; 
x15.l = 3; 
x16.l = 3; 
x17.l = 4; 
x18.l = 3; 
x20.l = 3; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
