*  NLP written by GAMS Convert at 08/05/12 20:09:07
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        3        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         63        3       60        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x8,x14,x16;

Equations  e1,e2,e3;


e1.. -(2*x1**1*x2**1 - 2*x3**1*x4**1 + 2*x5**1*x6**1 + 3*x7**1*x8**1 + 3*x9**1*
     x10**1 + 2*x11**1*x12**1 - 4*x13**1*x14**1 + 2*x15**1*x16**1 - x19**1*x20
     **1 + sqr(x1) + sqr(x2) - 3*sqr(x3) - 2*sqr(x4) + 3*sqr(x6) + sqr(x7) + 3*
     sqr(x8) - 3*sqr(x9) + sqr(x11) + 2*sqr(x12) - 2*sqr(x13) - 2*sqr(x14) + 3*
     sqr(x15) - 2*sqr(x16) - 2*sqr(x17) - 4*sqr(x18) - sqr(x19)) + x21 =G= 0;

e2.. -(-2*x1**1*x2**1 - x3**1*x4**1 + 2*x7**1*x8**1 + 2*x9**1*x10**1 + x13**1*
     x14**1 + x17**1*x18**1 - 2*x19**1*x20**1 + 2*sqr(x1) + sqr(x2) - 4*sqr(x3)
      + sqr(x5) + 2*sqr(x6) + 2*sqr(x7) + 3*sqr(x8) + sqr(x9) + 4*sqr(x11) - 3*
     sqr(x12) - 3*sqr(x13) + 3*sqr(x14) - 3*sqr(x15) - sqr(x16) + 2*sqr(x17) + 
     2*sqr(x18) - 3*sqr(x19) + 3*sqr(x20)) + x21 =G= 0;

e3.. -(2*x1**1*x2**1 - 2*x3**1*x4**1 - x5**1*x6**1 + 4*x7**1*x8**1 - 2*x9**1*
     x10**1 + 3*x11**1*x12**1 + 4*x13**1*x14**1 - 4*x15**1*x16**1 + x17**1*x18
     **1 + 4*sqr(x1) + sqr(x2) - 2*sqr(x4) + sqr(x5) - 4*sqr(x6) - 2*sqr(x7) + 
     3*sqr(x8) + 3*sqr(x9) + sqr(x10) - sqr(x11) - 2*sqr(x12) - 3*sqr(x13) - 3*
     sqr(x14) + 2*sqr(x17) + 4*sqr(x18) - 2*sqr(x19) - 2*sqr(x20)) + x21 =G= 0;

* set non default bounds

x1.lo = 3; x1.up = 4; 
x2.lo = 1; x2.up = 4; 
x3.lo = 1; x3.up = 3; 
x4.lo = 4; x4.up = 8; 
x5.lo = 4; x5.up = 9; 
x6.lo = 3; x6.up = 5; 
x7.lo = 1; x7.up = 3; 
x8.up = 5; 
x9.lo = 4; x9.up = 7; 
x10.lo = 4; x10.up = 6; 
x11.lo = 2; x11.up = 6; 
x12.lo = 1; x12.up = 6; 
x13.lo = 4; x13.up = 5; 
x14.up = 4; 
x15.lo = 4; x15.up = 6; 
x16.up = 3; 
x17.lo = 1; x17.up = 3; 
x18.lo = 1; x18.up = 4; 
x19.lo = 2; x19.up = 3; 
x20.lo = 2; x20.up = 5; 

* set non default levels

x1.l = 3; 
x2.l = 1; 
x3.l = 1; 
x4.l = 4; 
x5.l = 4; 
x6.l = 3; 
x7.l = 1; 
x9.l = 4; 
x10.l = 4; 
x11.l = 2; 
x12.l = 1; 
x13.l = 4; 
x15.l = 4; 
x17.l = 1; 
x18.l = 1; 
x19.l = 2; 
x20.l = 2; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
