*  NLP written by GAMS Convert at 08/05/12 20:09:30
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        1        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         41        1       40        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x2,x3,x4,x7,x10,x17,x20;

Equations  e1,e2;


e1.. -(2*x5**1*x6**1 - x3**1*x4**1 + x7**1*x8**1 + 2*x9**1*x10**1 - x11**1*x12
     **1 + 3*x15**1*x16**1 - x17**1*x18**1 - x19**1*x20**1 + x2**0.2*x10**2 + 
     x2**0.7*x17**1.3 + 2*x3**1*x6**2 + x3**1*x11**1.3 - 3*x3**0.3*x20**1.1 - 3
     *x4**0.2*x9**1.3 - 2*x4**1*x11**1.1 + x5**0.2*x6**1.9 + 3*x5**0.2*x17**1.8
      + x6**0.2*x11**1.6 + 3*x8**0.4*x15**1.8 - 2*x9**0.1*x10**1.5 - x9**0.8*
     x17**1.6 - 3*x9**0.7*x19**1.8 + 2*x12**1*x19**1.9 - x15**0.2*x20**1.9 - 4*
     x19**0.1*x20**1.2 + 4*x1**1.5*x19**0.2 - x1**1.6*x16**0.6 + 4*x2**1.8*x18
     **0.1 - 3*x3**1.1*x15**0.5 + 4*x5**1.3*x12**0.5 + x5**2*x13**0.5 + 4*x6**
     1.7*x7**0.6 - 4*x7**1.3*x9**0.7 + x7**1.2*x12**0.8 + 4*x8**1.7*x9**1 + 2*
     x8**1.9*x10**0.1 - 2*x8**1.9*x19**1 + 2*x9**1.1*x13**0.1 - 3*x11**1.9*x15
     **0.1 + x14**1.9*x20**0.5 + x15**1.5*x20**0.5 - 3*x17**1.5*x19**0.1 + (-
     sqr(x1)) - sqr(x3) - sqr(x4) + 4*sqr(x5) - 2*sqr(x6) - 4*sqr(x7) + 2*sqr(
     x9) - sqr(x10) - 3*sqr(x11) + sqr(x12) - sqr(x13) - 4*sqr(x14) - sqr(x15)
      + 2*sqr(x16) + sqr(x17) - sqr(x18) + 2*sqr(x19) - 4*sqr(x20)) + x21 =G= 0
     ;

e2.. 0.16*sqr((-6.5) + x1) + 0.16*sqr((-2.5) + x2) + sqr((-1) + x3) + 
     0.444444444444444*sqr((-1.5) + x4) + sqr((-2) + x5) + 0.16*sqr((-3.5) + x6
     ) + 4*sqr((-0.5) + x7) + 0.444444444444444*sqr((-2.5) + x8) + 0.16*sqr((-
     3.5) + x9) + 4*sqr((-0.5) + x10) + sqr((-4) + x11) + sqr((-5) + x12) + 
     0.16*sqr((-3.5) + x13) + 0.444444444444444*sqr((-3.5) + x14) + sqr((-2) + 
     x15) + 0.444444444444444*sqr((-5.5) + x16) + 0.16*sqr((-2.5) + x17) + 4*
     sqr((-2.5) + x18) + 0.16*sqr((-4.5) + x19) + sqr((-1) + x20) =L= 1;

* set non default bounds

x1.lo = 4; x1.up = 9; 
x2.up = 5; 
x3.up = 2; 
x4.up = 3; 
x5.lo = 1; x5.up = 3; 
x6.lo = 1; x6.up = 6; 
x7.up = 1; 
x8.lo = 1; x8.up = 4; 
x9.lo = 1; x9.up = 6; 
x10.up = 1; 
x11.lo = 3; x11.up = 5; 
x12.lo = 4; x12.up = 6; 
x13.lo = 1; x13.up = 6; 
x14.lo = 2; x14.up = 5; 
x15.lo = 1; x15.up = 3; 
x16.lo = 4; x16.up = 7; 
x17.up = 5; 
x18.lo = 2; x18.up = 3; 
x19.lo = 2; x19.up = 7; 
x20.up = 2; 

* set non default levels

x1.l = 4; 
x5.l = 1; 
x6.l = 1; 
x8.l = 1; 
x9.l = 1; 
x11.l = 3; 
x12.l = 4; 
x13.l = 1; 
x14.l = 2; 
x15.l = 1; 
x16.l = 4; 
x18.l = 2; 
x19.l = 2; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
