*  NLP written by GAMS Convert at 08/05/12 20:10:56
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          1        0        1        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         31        1       30        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x3,x6,x14,x17,x22,x24;

Equations  e1;


e1.. -(x1**1*x2**1 - 4*x3**1*x4**1 - 4*x5**1*x6**1 + 3*x7**1*x8**1 - 3*x9**1*
     x10**1 + 2*x11**1*x12**1 - 4*x13**1*x14**1 + 4*x17**1*x18**1 + 3*x19**1*
     x20**1 - 2*x21**1*x22**1 - 3*x23**1*x24**1 - 4*x25**1*x26**1 + 4*x27**1*
     x28**1 + 4*x29**1*x30**1 + 4*sqr(x1) - 4*sqr(x3) + 2*sqr(x4) - 4*sqr(x5)
      - sqr(x6) + 3*sqr(x7) + sqr(x8) + 2*sqr(x9) - 3*sqr(x10) - 4*sqr(x11) - 3
     *sqr(x12) + sqr(x13) + 4*sqr(x14) + 2*sqr(x15) + sqr(x16) - sqr(x17) + 3*
     sqr(x19) - 3*sqr(x20) - 3*sqr(x21) + 4*sqr(x22) + sqr(x23) - 4*sqr(x24) + 
     4*sqr(x25) - 2*sqr(x26) + 3*sqr(x27) - 4*sqr(x28) - 2*sqr(x29) + 3*sqr(x30
     )) + x31 =G= 0;

* set non default bounds

x1.lo = 1; x1.up = 2; 
x2.lo = 2; x2.up = 7; 
x3.up = 1; 
x4.lo = 1; x4.up = 4; 
x5.lo = 2; x5.up = 5; 
x6.up = 4; 
x7.lo = 3; x7.up = 5; 
x8.lo = 3; x8.up = 5; 
x9.lo = 1; x9.up = 5; 
x10.lo = 2; x10.up = 6; 
x11.lo = 1; x11.up = 2; 
x12.lo = 1; x12.up = 4; 
x13.lo = 2; x13.up = 5; 
x14.up = 2; 
x15.lo = 4; x15.up = 5; 
x16.lo = 1; x16.up = 2; 
x17.up = 1; 
x18.lo = 1; x18.up = 2; 
x19.lo = 3; x19.up = 8; 
x20.lo = 4; x20.up = 5; 
x21.lo = 1; x21.up = 3; 
x22.up = 2; 
x23.lo = 2; x23.up = 6; 
x24.up = 4; 
x25.lo = 3; x25.up = 6; 
x26.lo = 3; x26.up = 5; 
x27.lo = 4; x27.up = 7; 
x28.lo = 3; x28.up = 8; 
x29.lo = 4; x29.up = 5; 
x30.lo = 2; x30.up = 6; 

* set non default levels

x1.l = 1; 
x2.l = 2; 
x4.l = 1; 
x5.l = 2; 
x7.l = 3; 
x8.l = 3; 
x9.l = 1; 
x10.l = 2; 
x11.l = 1; 
x12.l = 1; 
x13.l = 2; 
x15.l = 4; 
x16.l = 1; 
x18.l = 1; 
x19.l = 3; 
x20.l = 4; 
x21.l = 1; 
x23.l = 2; 
x25.l = 3; 
x26.l = 3; 
x27.l = 4; 
x28.l = 3; 
x29.l = 4; 
x30.l = 2; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
