*  NLP written by GAMS Convert at 08/05/12 20:10:56
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          1        0        1        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         30       30        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         30        1       29        0
*
*  Solve m using NLP minimizing x30;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30;

Positive Variables  x8,x9,x10,x12,x21,x25,x27;

Equations  e1;


e1.. -(2*x3**1*x4**1 - 3*x1**1*x2**1 - x5**1*x6**1 - 2*x12**1*x13**1 - 2*x14**1
     *x15**1 - x16**1*x17**1 - 4*x18**1*x19**1 - 4*x20**1*x21**1 - x22**1*x23**
     1 - 2*x24**1*x25**1 + 4*x26**1*x27**1 - 3*x28**1*x29**1 + sqr(x1) - 4*sqr(
     x2) + 2*sqr(x3) + 2*sqr(x4) + sqr(x5) + sqr(x6) + 4*sqr(x7) - sqr(x8) - 2*
     sqr(x9) + 3*sqr(x10) - 2*sqr(x11) + 4*sqr(x12) + 4*sqr(x13) - 4*sqr(x14)
      + 3*sqr(x15) - 2*sqr(x17) - 2*sqr(x18) - sqr(x19) + 2*sqr(x20) + 2*sqr(
     x21) - 4*sqr(x22) - 4*sqr(x24) + 4*sqr(x25) - sqr(x26) - sqr(x27) + 4*sqr(
     x28) + 3*sqr(x29)) + x30 =G= 0;

* set non default bounds

x1.lo = 1; x1.up = 2; 
x2.lo = 1; x2.up = 4; 
x3.lo = 1; x3.up = 6; 
x4.lo = 1; x4.up = 3; 
x5.lo = 3; x5.up = 5; 
x6.lo = 3; x6.up = 4; 
x7.lo = 1; x7.up = 2; 
x8.up = 5; 
x9.up = 3; 
x10.up = 1; 
x11.lo = 2; x11.up = 5; 
x12.up = 5; 
x13.lo = 1; x13.up = 6; 
x14.lo = 2; x14.up = 7; 
x15.lo = 2; x15.up = 7; 
x16.lo = 4; x16.up = 8; 
x17.lo = 3; x17.up = 6; 
x18.lo = 3; x18.up = 5; 
x19.lo = 4; x19.up = 8; 
x20.lo = 2; x20.up = 5; 
x21.up = 1; 
x22.lo = 2; x22.up = 3; 
x23.lo = 1; x23.up = 6; 
x24.lo = 2; x24.up = 4; 
x25.up = 3; 
x26.lo = 1; x26.up = 4; 
x27.up = 4; 
x28.lo = 4; x28.up = 6; 
x29.lo = 4; x29.up = 6; 

* set non default levels

x1.l = 1; 
x2.l = 1; 
x3.l = 1; 
x4.l = 1; 
x5.l = 3; 
x6.l = 3; 
x7.l = 1; 
x11.l = 2; 
x13.l = 1; 
x14.l = 2; 
x15.l = 2; 
x16.l = 4; 
x17.l = 3; 
x18.l = 3; 
x19.l = 4; 
x20.l = 2; 
x22.l = 2; 
x23.l = 1; 
x24.l = 2; 
x26.l = 1; 
x28.l = 4; 
x29.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x30;
