*  NLP written by GAMS Convert at 08/05/12 20:10:58
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        1        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         61        1       60        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x1,x3,x5,x13,x18,x24;

Equations  e1,e2;


e1.. -(4*x3**1*x4**1 - 4*x1**1*x2**1 - x7**1*x8**1 + 2*x9**1*x10**1 + 4*x11**1*
     x12**1 + 4*x13**1*x14**1 - 4*x15**1*x16**1 - x17**1*x18**1 + 3*x19**1*x20
     **1 - x21**1*x22**1 - 3*x23**1*x24**1 + 2*x25**1*x26**1 + 4*x27**1*x28**1
      + 3*x29**1*x30**1 + 3*sqr(x2) - sqr(x1) + 2*sqr(x3) - 4*sqr(x5) + 3*sqr(
     x6) - sqr(x7) + 3*sqr(x8) + 4*sqr(x9) - 3*sqr(x10) + 4*sqr(x11) - 4*sqr(
     x12) + sqr(x13) + 2*sqr(x16) + 4*sqr(x17) + sqr(x19) - sqr(x20) - 3*sqr(
     x21) - 3*sqr(x23) - 4*sqr(x24) + sqr(x25) - sqr(x26) + sqr(x28) + 2*sqr(
     x29) + 4*sqr(x30)) + x31 =G= 0;

e2.. 0.444444444444444*sqr((-1.5) + x1) + sqr((-2) + x2) + 0.16*sqr((-2.5) + x3
     ) + 4*sqr((-3.5) + x4) + 4*sqr((-0.5) + x5) + 0.16*sqr((-5.5) + x6) + sqr(
     (-4) + x7) + 0.16*sqr((-3.5) + x8) + sqr((-2) + x9) + 0.16*sqr((-3.5) + 
     x10) + 0.16*sqr((-6.5) + x11) + 0.25*sqr((-6) + x12) + 0.25*sqr((-2) + x13
     ) + 4*sqr((-1.5) + x14) + sqr((-3) + x15) + 0.16*sqr((-6.5) + x16) + 4*
     sqr((-3.5) + x17) + 4*sqr((-0.5) + x18) + sqr((-2) + x19) + sqr((-4) + x20
     ) + 0.25*sqr((-3) + x21) + sqr((-3) + x22) + 0.16*sqr((-6.5) + x23) + sqr(
     (-1) + x24) + sqr((-3) + x25) + 0.25*sqr((-4) + x26) + sqr((-3) + x27) + 
     0.444444444444444*sqr((-5.5) + x28) + 4*sqr((-1.5) + x29) + 0.16*sqr((-5.5
     ) + x30) =L= 1;

* set non default bounds

x1.up = 3; 
x2.lo = 1; x2.up = 3; 
x3.up = 5; 
x4.lo = 3; x4.up = 4; 
x5.up = 1; 
x6.lo = 3; x6.up = 8; 
x7.lo = 3; x7.up = 5; 
x8.lo = 1; x8.up = 6; 
x9.lo = 1; x9.up = 3; 
x10.lo = 1; x10.up = 6; 
x11.lo = 4; x11.up = 9; 
x12.lo = 4; x12.up = 8; 
x13.up = 4; 
x14.lo = 1; x14.up = 2; 
x15.lo = 2; x15.up = 4; 
x16.lo = 4; x16.up = 9; 
x17.lo = 3; x17.up = 4; 
x18.up = 1; 
x19.lo = 1; x19.up = 3; 
x20.lo = 3; x20.up = 5; 
x21.lo = 1; x21.up = 5; 
x22.lo = 2; x22.up = 4; 
x23.lo = 4; x23.up = 9; 
x24.up = 2; 
x25.lo = 2; x25.up = 4; 
x26.lo = 2; x26.up = 6; 
x27.lo = 2; x27.up = 4; 
x28.lo = 4; x28.up = 7; 
x29.lo = 1; x29.up = 2; 
x30.lo = 3; x30.up = 8; 

* set non default levels

x2.l = 1; 
x4.l = 3; 
x6.l = 3; 
x7.l = 3; 
x8.l = 1; 
x9.l = 1; 
x10.l = 1; 
x11.l = 4; 
x12.l = 4; 
x14.l = 1; 
x15.l = 2; 
x16.l = 4; 
x17.l = 3; 
x19.l = 1; 
x20.l = 3; 
x21.l = 1; 
x22.l = 2; 
x23.l = 4; 
x25.l = 2; 
x26.l = 2; 
x27.l = 2; 
x28.l = 4; 
x29.l = 1; 
x30.l = 3; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
