*  NLP written by GAMS Convert at 08/05/12 20:11:04
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        2        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         90        2       88        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x10,x12,x13,x27;

Equations  e1,e2,e3;


e1.. -(-4*x1**1*x2**1 - x3**1*x4**1 + 3*x5**1*x6**1 + 3*x7**1*x8**1 + 4*x9**1*
     x10**1 - 4*x11**1*x12**1 + x13**1*x14**1 - 2*x15**1*x16**1 - 3*x17**1*x18
     **1 + 2*x19**1*x20**1 - 2*x21**1*x22**1 - x23**1*x24**1 + 4*x25**1*x26**1
      - x27**1*x28**1 - 3*x29**1*x30**1 + (-4*sqr(x1)) - sqr(x2) + 3*sqr(x3) - 
     4*sqr(x4) + 2*sqr(x5) + 2*sqr(x6) - 2*sqr(x7) - 3*sqr(x8) + sqr(x9) - 2*
     sqr(x10) - 3*sqr(x11) - 4*sqr(x12) - 3*sqr(x13) - sqr(x14) + 3*sqr(x15) + 
     sqr(x16) - 4*sqr(x18) + 2*sqr(x19) + sqr(x20) - 4*sqr(x21) - 4*sqr(x22) - 
     sqr(x23) - 4*sqr(x24) - 3*sqr(x25) + 2*sqr(x26) + sqr(x27) + 3*sqr(x28) + 
     2*sqr(x29) - 3*sqr(x30)) + x31 =G= 0;

e2.. -(-3*x3**1*x4**1 - 4*x5**1*x6**1 - x7**1*x8**1 + x9**1*x10**1 + 2*x11**1*
     x12**1 - 4*x13**1*x14**1 - 4*x15**1*x16**1 - 4*x17**1*x18**1 - 4*x19**1*
     x20**1 - 2*x23**1*x24**1 - 3*x25**1*x26**1 + 4*x29**1*x30**1 + sqr(x3) - 3
     *sqr(x1) + 2*sqr(x4) - 4*sqr(x6) - 3*sqr(x7) - 2*sqr(x9) + sqr(x10) - 3*
     sqr(x12) + sqr(x13) + 2*sqr(x14) + sqr(x15) - sqr(x16) - 4*sqr(x17) + 3*
     sqr(x18) - sqr(x19) + 3*sqr(x20) - 2*sqr(x22) + sqr(x23) + sqr(x24) - 2*
     sqr(x25) - 3*sqr(x27) + 3*sqr(x28) - 2*sqr(x29) + sqr(x30)) + x31 =G= 0;

e3.. 0.16*sqr((-5.5) + x1) + 4*sqr((-1.5) + x2) + sqr((-3) + x3) + 4*sqr((-4.5)
      + x4) + 0.25*sqr((-3) + x5) + 0.444444444444444*sqr((-4.5) + x6) + 
     0.444444444444444*sqr((-3.5) + x7) + sqr((-4) + x8) + 0.16*sqr((-5.5) + x9
     ) + 0.444444444444444*sqr((-1.5) + x10) + 0.25*sqr((-6) + x11) + 
     0.444444444444444*sqr((-1.5) + x12) + sqr((-1) + x13) + 0.16*sqr((-5.5) + 
     x14) + 0.25*sqr((-6) + x15) + 0.444444444444444*sqr((-5.5) + x16) + 4*sqr(
     (-2.5) + x17) + 0.16*sqr((-6.5) + x18) + 4*sqr((-1.5) + x19) + 0.16*sqr((-
     6.5) + x20) + 0.16*sqr((-6.5) + x21) + 0.25*sqr((-5) + x22) + sqr((-4) + 
     x23) + sqr((-2) + x24) + sqr((-4) + x25) + 0.444444444444444*sqr((-2.5) + 
     x26) + sqr((-1) + x27) + 0.444444444444444*sqr((-3.5) + x28) + 4*sqr((-3.5
     ) + x29) + 0.16*sqr((-5.5) + x30) =L= 1;

* set non default bounds

x1.lo = 3; x1.up = 8; 
x2.lo = 1; x2.up = 2; 
x3.lo = 2; x3.up = 4; 
x4.lo = 4; x4.up = 5; 
x5.lo = 1; x5.up = 5; 
x6.lo = 3; x6.up = 6; 
x7.lo = 2; x7.up = 5; 
x8.lo = 3; x8.up = 5; 
x9.lo = 3; x9.up = 8; 
x10.up = 3; 
x11.lo = 4; x11.up = 8; 
x12.up = 3; 
x13.up = 2; 
x14.lo = 3; x14.up = 8; 
x15.lo = 4; x15.up = 8; 
x16.lo = 4; x16.up = 7; 
x17.lo = 2; x17.up = 3; 
x18.lo = 4; x18.up = 9; 
x19.lo = 1; x19.up = 2; 
x20.lo = 4; x20.up = 9; 
x21.lo = 4; x21.up = 9; 
x22.lo = 3; x22.up = 7; 
x23.lo = 3; x23.up = 5; 
x24.lo = 1; x24.up = 3; 
x25.lo = 3; x25.up = 5; 
x26.lo = 1; x26.up = 4; 
x27.up = 2; 
x28.lo = 2; x28.up = 5; 
x29.lo = 3; x29.up = 4; 
x30.lo = 3; x30.up = 8; 

* set non default levels

x1.l = 3; 
x2.l = 1; 
x3.l = 2; 
x4.l = 4; 
x5.l = 1; 
x6.l = 3; 
x7.l = 2; 
x8.l = 3; 
x9.l = 3; 
x11.l = 4; 
x14.l = 3; 
x15.l = 4; 
x16.l = 4; 
x17.l = 2; 
x18.l = 4; 
x19.l = 1; 
x20.l = 4; 
x21.l = 4; 
x22.l = 3; 
x23.l = 3; 
x24.l = 1; 
x25.l = 3; 
x26.l = 1; 
x28.l = 2; 
x29.l = 3; 
x30.l = 3; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
