*  NLP written by GAMS Convert at 08/11/12 19:52:17
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        1        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         21        1       20        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x1,x7;

Equations  e1,e2;


e1.. -(2*x7**1*x8**1 - 3*x5**1*x6**1 - 3*x9**1*x10**1 + 4*sqr(x2) - 4*sqr(x1)
      + 3*sqr(x3) + sqr(x4) - 4*sqr(x5) + 2*sqr(x6) - 3*sqr(x7) + 2*sqr(x9) - 2
     *sqr(x10)) + x11 =G= 0;

e2.. 0.25*sqr((-2) + x1) + sqr((-3) + x2) + 0.25*sqr((-6) + x3) + 0.16*sqr((-
     3.5) + x4) + 0.444444444444444*sqr((-5.5) + x5) + sqr((-5) + x6) + 4*sqr((
     -0.5) + x7) + sqr((-5) + x8) + 4*sqr((-1.5) + x9) + 0.16*sqr((-6.5) + x10)
      =L= 1;

* set non default bounds

x1.up = 4; 
x2.lo = 2; x2.up = 4; 
x3.lo = 4; x3.up = 8; 
x4.lo = 1; x4.up = 6; 
x5.lo = 4; x5.up = 7; 
x6.lo = 4; x6.up = 6; 
x7.up = 1; 
x8.lo = 4; x8.up = 6; 
x9.lo = 1; x9.up = 2; 
x10.lo = 4; x10.up = 9; 

* set non default levels

x2.l = 2; 
x3.l = 4; 
x4.l = 1; 
x5.l = 4; 
x6.l = 4; 
x8.l = 4; 
x9.l = 1; 
x10.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
