*  NLP written by GAMS Convert at 08/11/12 19:52:25
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        3        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         33        3       30        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x5,x7,x9;

Equations  e1,e2,e3;


e1.. -(4*x5**1*x6**1 - x1**1*x2**1 - 3*x7**1*x8**1 - 4*x9**1*x10**1 + sqr(x2)
      - 3*sqr(x3) + 2*sqr(x4) - 3*sqr(x5) - 3*sqr(x6) + 2*sqr(x8) - 4*sqr(x9)
      + sqr(x10)) + x11 =G= 0;

e2.. -(x1**1*x2**1 - 3*x3**1*x4**1 + 2*x5**1*x6**1 - 3*x7**1*x8**1 - 4*x9**1*
     x10**1 + sqr(x2) - sqr(x3) + 3*sqr(x4) + 2*sqr(x5) - 4*sqr(x7) + 3*sqr(x8)
      - sqr(x9) + 3*sqr(x10)) + x11 =G= 0;

e3.. -(4*x1**1*x2**1 - x3**1*x4**1 - 3*x5**1*x6**1 + x7**1*x8**1 - 4*x9**1*x10
     **1 + 4*sqr(x1) - 3*sqr(x2) + 4*sqr(x3) - 4*sqr(x4) + sqr(x5) + 2*sqr(x8)
      + 4*sqr(x9)) + x11 =G= 0;

* set non default bounds

x1.lo = 2; x1.up = 6; 
x2.lo = 1; x2.up = 5; 
x3.lo = 2; x3.up = 7; 
x4.lo = 3; x4.up = 5; 
x5.up = 3; 
x6.lo = 4; x6.up = 8; 
x7.up = 3; 
x8.lo = 1; x8.up = 3; 
x9.up = 5; 
x10.lo = 3; x10.up = 4; 

* set non default levels

x1.l = 2; 
x2.l = 1; 
x3.l = 2; 
x4.l = 3; 
x6.l = 4; 
x8.l = 1; 
x10.l = 3; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
