*  NLP written by GAMS Convert at 08/11/12 19:52:33
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         11        0       10        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*        119       10      109        0
*
*  Solve m using NLP minimizing x11;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x1,x3,x9;

Equations  e1,e2,e3,e4,e5,e6,e7,e8,e9,e10,e11;


e1.. -(3*x1**1*x2**1 + 2*x3**1*x4**1 - 3*x5**1*x6**1 - 4*x7**1*x8**1 + 2*x9**1*
     x10**1 + 2*sqr(x1) + 3*sqr(x2) - 2*sqr(x3) - 2*sqr(x4) + 3*sqr(x5) + 2*
     sqr(x6) - 3*sqr(x7) - 4*sqr(x8) + 3*sqr(x9) - 3*sqr(x10)) + x11 =G= 0;

e2.. -(x3**1*x4**1 - 4*x1**1*x2**1 + 3*x5**1*x6**1 + 3*x7**1*x8**1 + 3*x9**1*
     x10**1 + 4*sqr(x2) - 3*sqr(x1) - 3*sqr(x3) + sqr(x4) + sqr(x6) - sqr(x7)
      - 4*sqr(x8) - sqr(x9)) + x11 =G= 0;

e3.. -(2*x1**1*x2**1 - 3*x7**1*x8**1 - 3*x9**1*x10**1 + 4*sqr(x1) + sqr(x2) - 3
     *sqr(x3) - 3*sqr(x4) - sqr(x6) - sqr(x7) + 3*sqr(x8) - 2*sqr(x9) - 4*sqr(
     x10)) + x11 =G= 0;

e4.. -(x1**1*x2**1 + 2*x3**1*x4**1 + 4*x5**1*x6**1 - 3*x7**1*x8**1 - x9**1*x10
     **1 + 2*sqr(x2) - 3*sqr(x1) + sqr(x3) - 2*sqr(x4) + 2*sqr(x5) - sqr(x6) + 
     4*sqr(x7) + 3*sqr(x8) - 3*sqr(x9) + 2*sqr(x10)) + x11 =G= 0;

e5.. -(2*x3**1*x4**1 - x5**1*x6**1 - 3*x7**1*x8**1 + x9**1*x10**1 + 2*sqr(x1)
      - 4*sqr(x2) - sqr(x3) + 2*sqr(x4) + sqr(x5) + sqr(x6) - 4*sqr(x7) - 4*
     sqr(x8) + 2*sqr(x9)) + x11 =G= 0;

e6.. -(4*x3**1*x4**1 - 2*x1**1*x2**1 + 4*x5**1*x6**1 + x7**1*x8**1 - 3*x9**1*
     x10**1 + sqr(x2) - 2*sqr(x1) + 3*sqr(x3) - sqr(x4) - 2*sqr(x6) + sqr(x8)
      + 4*sqr(x9) + 2*sqr(x10)) + x11 =G= 0;

e7.. -(4*x1**1*x2**1 - 4*x3**1*x4**1 + x5**1*x6**1 - x7**1*x8**1 + x9**1*x10**1
      + sqr(x1) + 3*sqr(x2) - 3*sqr(x3) - 3*sqr(x4) - 4*sqr(x5) + 3*sqr(x6) - 2
     *sqr(x7) - 4*sqr(x8) - 2*sqr(x10)) + x11 =G= 0;

e8.. -(3*x3**1*x4**1 - 4*x1**1*x2**1 + x5**1*x6**1 - 3*x7**1*x8**1 - x9**1*x10
     **1 + (-3*sqr(x2)) - 2*sqr(x3) + 2*sqr(x4) + 3*sqr(x5) + 4*sqr(x6) - 2*
     sqr(x7) + 2*sqr(x8) + 4*sqr(x9) + 4*sqr(x10)) + x11 =G= 0;

e9.. -(2*x3**1*x4**1 - x1**1*x2**1 + x7**1*x8**1 + 3*x9**1*x10**1 + (-3*sqr(x1)
     ) - 3*sqr(x2) - 2*sqr(x3) + 4*sqr(x4) - 2*sqr(x5) + sqr(x6) - 4*sqr(x7) + 
     3*sqr(x8) - 3*sqr(x9) + 2*sqr(x10)) + x11 =G= 0;

e10.. -(2*x3**1*x4**1 - 4*x1**1*x2**1 - 2*x5**1*x6**1 + 3*x7**1*x8**1 + 4*x9**1
      *x10**1 + 3*sqr(x2) - 2*sqr(x1) - 2*sqr(x4) + 4*sqr(x5) + sqr(x6) - 4*
      sqr(x7) - 4*sqr(x8) + sqr(x9) - 2*sqr(x10)) + x11 =G= 0;

e11.. 0.444444444444444*sqr((-1.5) + x1) + 0.16*sqr((-6.5) + x2) + sqr((-1) + 
      x3) + 0.25*sqr((-4) + x4) + sqr((-2) + x5) + 0.25*sqr((-6) + x6) + 4*sqr(
      (-3.5) + x7) + sqr((-5) + x8) + sqr((-1) + x9) + sqr((-5) + x10) =L= 1;

* set non default bounds

x1.up = 3; 
x2.lo = 4; x2.up = 9; 
x3.up = 2; 
x4.lo = 2; x4.up = 6; 
x5.lo = 1; x5.up = 3; 
x6.lo = 4; x6.up = 8; 
x7.lo = 3; x7.up = 4; 
x8.lo = 4; x8.up = 6; 
x9.up = 2; 
x10.lo = 4; x10.up = 6; 

* set non default levels

x2.l = 4; 
x4.l = 2; 
x5.l = 1; 
x6.l = 4; 
x7.l = 3; 
x8.l = 4; 
x10.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x11;
