*  NLP written by GAMS Convert at 08/11/12 19:53:48
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          1        0        1        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         20       20        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         20        1       19        0
*
*  Solve m using NLP minimizing x20;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20;

Positive Variables  x8,x10,x14,x17;

Equations  e1;


e1.. -(4*x1**1*x2**1 + 3*x3**1*x4**1 - 4*x5**1*x6**1 + x7**1*x8**1 + 2*x9**1*
     x10**1 + 3*x11**1*x12**1 - 2*x16**1*x17**1 + x18**1*x19**1 + 3*sqr(x3) - 3
     *sqr(x2) - 3*sqr(x4) + 4*sqr(x6) - sqr(x7) + 3*sqr(x8) + 4*sqr(x9) + sqr(
     x10) + sqr(x11) + sqr(x12) - 4*sqr(x13) + 4*sqr(x14) - 3*sqr(x15) - 2*sqr(
     x16) + 4*sqr(x17) + 4*sqr(x18) - 2*sqr(x19)) + x20 =G= 0;

* set non default bounds

x1.lo = 2; x1.up = 5; 
x2.lo = 4; x2.up = 5; 
x3.lo = 4; x3.up = 7; 
x4.lo = 2; x4.up = 5; 
x5.lo = 2; x5.up = 7; 
x6.lo = 2; x6.up = 6; 
x7.lo = 2; x7.up = 7; 
x8.up = 1; 
x9.lo = 1; x9.up = 4; 
x10.up = 1; 
x11.lo = 1; x11.up = 4; 
x12.lo = 2; x12.up = 6; 
x13.lo = 2; x13.up = 7; 
x14.up = 3; 
x15.lo = 1; x15.up = 5; 
x16.lo = 4; x16.up = 7; 
x17.up = 4; 
x18.lo = 4; x18.up = 7; 
x19.lo = 3; x19.up = 7; 

* set non default levels

x1.l = 2; 
x2.l = 4; 
x3.l = 4; 
x4.l = 2; 
x5.l = 2; 
x6.l = 2; 
x7.l = 2; 
x9.l = 1; 
x11.l = 1; 
x12.l = 2; 
x13.l = 2; 
x15.l = 1; 
x16.l = 4; 
x18.l = 4; 
x19.l = 3; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x20;
