*  NLP written by GAMS Convert at 08/11/12 19:53:50
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        1        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         41        1       40        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x2,x6,x13,x15,x17,x19;

Equations  e1,e2;


e1.. -(3*x1**1*x2**1 - x3**1*x4**1 - 2*x5**1*x6**1 + x7**1*x8**1 - 4*x9**1*x10
     **1 - x13**1*x14**1 + x15**1*x16**1 + x17**1*x18**1 + sqr(x1) - sqr(x2) + 
     2*sqr(x3) - sqr(x4) - 3*sqr(x5) - 3*sqr(x6) + sqr(x7) + sqr(x8) - 2*sqr(
     x10) - sqr(x11) + 3*sqr(x12) - 2*sqr(x13) - 3*sqr(x14) + 4*sqr(x15) - 2*
     sqr(x16) - 4*sqr(x17) - 3*sqr(x18) - 3*sqr(x19) + 3*sqr(x20)) + x21 =G= 0;

e2.. 0.16*sqr((-3.5) + x1) + 0.25*sqr((-2) + x2) + 4*sqr((-2.5) + x3) + 0.25*
     sqr((-6) + x4) + sqr((-5) + x5) + 0.16*sqr((-2.5) + x6) + 
     0.444444444444444*sqr((-2.5) + x7) + 0.444444444444444*sqr((-5.5) + x8) + 
     0.16*sqr((-6.5) + x9) + 0.25*sqr((-6) + x10) + 4*sqr((-4.5) + x11) + 
     0.444444444444444*sqr((-5.5) + x12) + 0.16*sqr((-2.5) + x13) + 
     0.444444444444444*sqr((-5.5) + x14) + sqr((-1) + x15) + sqr((-2) + x16) + 
     0.25*sqr((-2) + x17) + 0.444444444444444*sqr((-5.5) + x18) + 4*sqr((-0.5)
      + x19) + 4*sqr((-1.5) + x20) =L= 1;

* set non default bounds

x1.lo = 1; x1.up = 6; 
x2.up = 4; 
x3.lo = 2; x3.up = 3; 
x4.lo = 4; x4.up = 8; 
x5.lo = 4; x5.up = 6; 
x6.up = 5; 
x7.lo = 1; x7.up = 4; 
x8.lo = 4; x8.up = 7; 
x9.lo = 4; x9.up = 9; 
x10.lo = 4; x10.up = 8; 
x11.lo = 4; x11.up = 5; 
x12.lo = 4; x12.up = 7; 
x13.up = 5; 
x14.lo = 4; x14.up = 7; 
x15.up = 2; 
x16.lo = 1; x16.up = 3; 
x17.up = 4; 
x18.lo = 4; x18.up = 7; 
x19.up = 1; 
x20.lo = 1; x20.up = 2; 

* set non default levels

x1.l = 1; 
x3.l = 2; 
x4.l = 4; 
x5.l = 4; 
x7.l = 1; 
x8.l = 4; 
x9.l = 4; 
x10.l = 4; 
x11.l = 4; 
x12.l = 4; 
x14.l = 4; 
x16.l = 1; 
x18.l = 4; 
x20.l = 1; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
