*  NLP written by GAMS Convert at 08/11/12 19:53:53
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        2        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         41        2       39        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x6,x9,x12,x14,x17;

Equations  e1,e2;


e1.. -(2*x3**1*x4**1 - 4*x1**1*x2**1 - x5**1*x6**1 + 3*x7**1*x8**1 - 3*x9**1*
     x10**1 + 2*x11**1*x12**1 - x13**1*x14**1 + 3*x15**1*x16**1 + x17**1*x18**1
      - 4*x19**1*x20**1 + sqr(x1) + 3*sqr(x2) + 2*sqr(x3) - 3*sqr(x4) - sqr(x5)
      - 4*sqr(x7) - sqr(x8) + 4*sqr(x9) + 3*sqr(x10) + 4*sqr(x11) - sqr(x12) + 
     4*sqr(x14) - 2*sqr(x15) - sqr(x16) + sqr(x17) - 2*sqr(x18) + sqr(x19))
      + x21 =G= 0;

e2.. -(2*x1**1*x2**1 + x3**1*x4**1 + 3*x5**1*x6**1 - x7**1*x8**1 + 2*x9**1*x10
     **1 + 4*x13**1*x14**1 + 4*x19**1*x20**1 + 3*sqr(x2) - sqr(x1) - 2*sqr(x3)
      + sqr(x4) - 4*sqr(x5) + 3*sqr(x6) + 4*sqr(x7) + 3*sqr(x8) - 4*sqr(x9) - 2
     *sqr(x10) - sqr(x12) - 3*sqr(x13) - 3*sqr(x14) - sqr(x15) - 2*sqr(x16) - 
     sqr(x17) - 3*sqr(x18) - sqr(x19) - sqr(x20)) + x21 =G= 0;

* set non default bounds

x1.lo = 3; x1.up = 5; 
x2.lo = 4; x2.up = 6; 
x3.lo = 2; x3.up = 5; 
x4.lo = 2; x4.up = 7; 
x5.lo = 2; x5.up = 5; 
x6.up = 2; 
x7.lo = 2; x7.up = 4; 
x8.lo = 3; x8.up = 5; 
x9.up = 4; 
x10.lo = 1; x10.up = 3; 
x11.lo = 2; x11.up = 7; 
x12.up = 4; 
x13.lo = 1; x13.up = 5; 
x14.up = 3; 
x15.lo = 4; x15.up = 6; 
x16.lo = 4; x16.up = 7; 
x17.up = 4; 
x18.lo = 1; x18.up = 4; 
x19.lo = 2; x19.up = 3; 
x20.lo = 1; x20.up = 2; 

* set non default levels

x1.l = 3; 
x2.l = 4; 
x3.l = 2; 
x4.l = 2; 
x5.l = 2; 
x7.l = 2; 
x8.l = 3; 
x10.l = 1; 
x11.l = 2; 
x13.l = 1; 
x15.l = 4; 
x16.l = 4; 
x18.l = 1; 
x19.l = 2; 
x20.l = 1; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
