*  NLP written by GAMS Convert at 08/11/12 19:54:20
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        2        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       21        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         42        2       40        0
*
*  Solve m using NLP minimizing x21;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21;

Positive Variables  x1,x15,x19,x20;

Equations  e1,e2;


e1.. -(-4*x1**1*x2**1 - 4*x3**1*x4**1 - 2*x5**1*x6**1 + 4*x7**1*x8**1 - 3*x9**1
     *x10**1 + 2*x11**1*x12**1 + 2*x13**1*x14**1 - 3*x15**1*x16**1 - x17**1*x18
     **1 + 3*x19**1*x20**1 + (-x1**1*x4**2) - 4*x1**1*x7**2 + 4*x1**1*x9**2 - 3
     *x2**1*x11**2 + 3*x3**1*x11**2 - 2*x3**1*x17**2 + 3*x5**1*x15**2 + 4*x5**1
     *x20**2 - 3*x6**1*x10**2 + 3*x6**1*x16**2 + 2*x6**1*x18**2 - 3*x6**1*x20**
     2 + 4*x9**1*x14**2 + 2*x9**1*x18**2 + 4*x9**1*x20**2 + 2*x10**1*x14**2 + 3
     *x11**1*x15**2 - 4*x11**1*x16**2 - 2*x13**1*x15**2 - 2*x15**1*x19**2 + (-3
     *x1**2*x4**1) - 3*x1**2*x13**1 + x1**2*x16**1 - 3*x4**2*x7**1 - 4*x4**2*
     x18**1 + 3*x6**2*x13**1 + x6**2*x17**1 + x7**2*x12**1 + 2*x7**2*x17**1 - 3
     *x8**2*x10**1 + 4*x10**2*x13**1 + x12**2*x15**1 - 4*x13**2*x18**1 + sqr(x1
     ) + sqr(x4) + 3*sqr(x5) - sqr(x6) - 4*sqr(x7) + sqr(x8) + 3*sqr(x9) + 3*
     sqr(x10) + 3*sqr(x11) - 2*sqr(x12) + 3*sqr(x13) - 4*sqr(x14) + 3*sqr(x15)
      - sqr(x17) + 4*sqr(x18) + 2*sqr(x19) - 2*sqr(x20)) + x21 =G= 0;

e2.. -(3*x1**1*x2**1 - 4*x3**1*x4**1 - 4*x5**1*x6**1 - 2*x9**1*x10**1 + 2*x11**
     1*x12**1 + 3*x13**1*x14**1 - 3*x15**1*x16**1 - x19**1*x20**1 + x1**1*x16**
     2 - 3*x1**1*x14**2 + 2*x3**1*x17**2 + 2*x4**1*x5**2 + 4*x4**1*x6**2 - 2*x4
     **1*x7**2 - 4*x5**1*x10**2 - x5**1*x17**2 + 3*x6**1*x8**2 - x6**1*x13**2
      + x6**1*x19**2 - 4*x7**1*x8**2 + 4*x8**1*x11**2 - 4*x8**1*x14**2 + 4*x8**
     1*x15**2 - x11**1*x17**2 - x12**1*x13**2 + 3*x12**1*x18**2 - 2*x12**1*x20
     **2 - 4*x15**1*x17**2 + 4*x16**1*x19**2 + 4*x17**1*x18**2 + 2*x2**2*x7**1
      + x2**2*x12**1 - 4*x2**2*x19**1 + 3*x3**2*x17**1 - 4*x5**2*x6**1 + 4*x5**
     2*x19**1 - 3*x6**2*x17**1 + 3*x7**2*x8**1 - 3*x7**2*x14**1 - 3*x8**2*x10**
     1 - 3*x8**2*x11**1 + 3*x16**2*x18**1 + 3*sqr(x3) - 4*sqr(x4) - 4*sqr(x5)
      - 3*sqr(x6) - 4*sqr(x7) - 4*sqr(x8) + 4*sqr(x9) - sqr(x10) + 2*sqr(x11)
      + 3*sqr(x13) - 3*sqr(x14) + 3*sqr(x15) - sqr(x16) + 4*sqr(x18) + 2*sqr(
     x19) - 3*sqr(x20)) + x21 =G= 0;

* set non default bounds

x1.up = 2; 
x2.lo = 3; x2.up = 8; 
x3.lo = 2; x3.up = 5; 
x4.lo = 3; x4.up = 7; 
x5.lo = 3; x5.up = 7; 
x6.lo = 4; x6.up = 8; 
x7.lo = 4; x7.up = 7; 
x8.lo = 2; x8.up = 6; 
x9.lo = 1; x9.up = 3; 
x10.lo = 3; x10.up = 7; 
x11.lo = 2; x11.up = 5; 
x12.lo = 2; x12.up = 7; 
x13.lo = 4; x13.up = 8; 
x14.lo = 1; x14.up = 5; 
x15.up = 2; 
x16.lo = 2; x16.up = 3; 
x17.lo = 2; x17.up = 5; 
x18.lo = 4; x18.up = 5; 
x19.up = 3; 
x20.up = 4; 

* set non default levels

x2.l = 3; 
x3.l = 2; 
x4.l = 3; 
x5.l = 3; 
x6.l = 4; 
x7.l = 4; 
x8.l = 2; 
x9.l = 1; 
x10.l = 3; 
x11.l = 2; 
x12.l = 2; 
x13.l = 4; 
x14.l = 1; 
x16.l = 2; 
x17.l = 2; 
x18.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x21;
