*  NLP written by GAMS Convert at 08/11/12 19:55:45
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        1        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         61        1       60        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x9,x10,x17,x22,x27,x29;

Equations  e1,e2;


e1.. -(-x3**1*x4**1 - 4*x5**1*x6**1 - x7**1*x8**1 - 4*x9**1*x10**1 - x11**1*x12
     **1 + x13**1*x14**1 - 4*x15**1*x16**1 + x17**1*x18**1 - x19**1*x20**1 + 3*
     x21**1*x22**1 + 3*x23**1*x24**1 + 2*x25**1*x26**1 + x27**1*x28**1 + 3*x29
     **1*x30**1 + 4*sqr(x1) + 4*sqr(x2) + sqr(x3) + 3*sqr(x4) - 4*sqr(x5) + 4*
     sqr(x7) + 3*sqr(x8) + 4*sqr(x9) + 4*sqr(x10) - 4*sqr(x11) - 2*sqr(x12) + 
     sqr(x13) - sqr(x14) - sqr(x15) - sqr(x16) - 2*sqr(x17) - 3*sqr(x18) + 2*
     sqr(x19) + 3*sqr(x20) - 3*sqr(x21) + 2*sqr(x23) - 3*sqr(x24) - 2*sqr(x25)
      + 2*sqr(x26) + 3*sqr(x27) + 3*sqr(x28) - 2*sqr(x29) - sqr(x30)) + x31
      =G= 0;

e2.. 0.25*sqr((-4) + x1) + 4*sqr((-3.5) + x2) + 4*sqr((-3.5) + x3) + 4*sqr((-
     3.5) + x4) + 0.444444444444444*sqr((-5.5) + x5) + 0.16*sqr((-3.5) + x6) + 
     sqr((-4) + x7) + 0.16*sqr((-6.5) + x8) + 4*sqr((-0.5) + x9) + 
     0.444444444444444*sqr((-1.5) + x10) + 0.16*sqr((-4.5) + x11) + 
     0.444444444444444*sqr((-5.5) + x12) + 0.25*sqr((-4) + x13) + 4*sqr((-4.5)
      + x14) + 0.444444444444444*sqr((-3.5) + x15) + sqr((-2) + x16) + sqr((-1)
      + x17) + sqr((-2) + x18) + 0.444444444444444*sqr((-5.5) + x19) + 4*sqr((-
     1.5) + x20) + 4*sqr((-4.5) + x21) + 0.444444444444444*sqr((-1.5) + x22) + 
     sqr((-2) + x23) + 0.25*sqr((-5) + x24) + 4*sqr((-1.5) + x25) + 4*sqr((-3.5
     ) + x26) + 0.444444444444444*sqr((-1.5) + x27) + 0.444444444444444*sqr((-
     3.5) + x28) + 0.16*sqr((-2.5) + x29) + 0.16*sqr((-6.5) + x30) =L= 1;

* set non default bounds

x1.lo = 2; x1.up = 6; 
x2.lo = 3; x2.up = 4; 
x3.lo = 3; x3.up = 4; 
x4.lo = 3; x4.up = 4; 
x5.lo = 4; x5.up = 7; 
x6.lo = 1; x6.up = 6; 
x7.lo = 3; x7.up = 5; 
x8.lo = 4; x8.up = 9; 
x9.up = 1; 
x10.up = 3; 
x11.lo = 2; x11.up = 7; 
x12.lo = 4; x12.up = 7; 
x13.lo = 2; x13.up = 6; 
x14.lo = 4; x14.up = 5; 
x15.lo = 2; x15.up = 5; 
x16.lo = 1; x16.up = 3; 
x17.up = 2; 
x18.lo = 1; x18.up = 3; 
x19.lo = 4; x19.up = 7; 
x20.lo = 1; x20.up = 2; 
x21.lo = 4; x21.up = 5; 
x22.up = 3; 
x23.lo = 1; x23.up = 3; 
x24.lo = 3; x24.up = 7; 
x25.lo = 1; x25.up = 2; 
x26.lo = 3; x26.up = 4; 
x27.up = 3; 
x28.lo = 2; x28.up = 5; 
x29.up = 5; 
x30.lo = 4; x30.up = 9; 

* set non default levels

x1.l = 2; 
x2.l = 3; 
x3.l = 3; 
x4.l = 3; 
x5.l = 4; 
x6.l = 1; 
x7.l = 3; 
x8.l = 4; 
x11.l = 2; 
x12.l = 4; 
x13.l = 2; 
x14.l = 4; 
x15.l = 2; 
x16.l = 1; 
x18.l = 1; 
x19.l = 4; 
x20.l = 1; 
x21.l = 4; 
x23.l = 1; 
x24.l = 3; 
x25.l = 1; 
x26.l = 3; 
x28.l = 2; 
x30.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
