*  NLP written by GAMS Convert at 08/11/12 19:55:47
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          2        0        2        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         62        2       60        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x1,x14,x25,x27,x29;

Equations  e1,e2;


e1.. -(3*x3**1*x4**1 - 2*x1**1*x2**1 + 2*x5**1*x6**1 - 2*x7**1*x8**1 + 2*x9**1*
     x10**1 + 4*x11**1*x12**1 - 3*x13**1*x14**1 + 4*x15**1*x16**1 + 2*x17**1*
     x18**1 + 3*x19**1*x20**1 + x21**1*x22**1 + x23**1*x24**1 + 2*x25**1*x26**1
      + x27**1*x28**1 + 3*x29**1*x30**1 + 3*sqr(x2) - sqr(x3) + 4*sqr(x4) - 3*
     sqr(x5) - 4*sqr(x6) - 3*sqr(x8) - 4*sqr(x9) + 4*sqr(x11) - sqr(x12) - sqr(
     x13) + 2*sqr(x14) - sqr(x15) - sqr(x16) - 4*sqr(x17) - 4*sqr(x19) + 4*sqr(
     x20) - 4*sqr(x21) - 4*sqr(x22) - 4*sqr(x23) - sqr(x24) + 3*sqr(x25) - 2*
     sqr(x27) - sqr(x28) + 4*sqr(x29) - 4*sqr(x30)) + x31 =G= 0;

e2.. -(-3*x1**1*x2**1 - x3**1*x4**1 + x5**1*x6**1 - 3*x7**1*x8**1 + x9**1*x10**
     1 + x11**1*x12**1 - x13**1*x14**1 + 3*x15**1*x16**1 - 3*x19**1*x20**1 + 3*
     x21**1*x22**1 + x23**1*x24**1 + 4*x25**1*x26**1 - 2*x27**1*x28**1 - 2*x29
     **1*x30**1 + 4*sqr(x1) - 3*sqr(x2) + sqr(x3) - 4*sqr(x4) - 3*sqr(x5) + 2*
     sqr(x6) + 3*sqr(x7) - sqr(x8) + sqr(x9) + 4*sqr(x10) + 3*sqr(x11) - 2*sqr(
     x13) + 4*sqr(x14) - 3*sqr(x15) + sqr(x16) - 2*sqr(x17) - 4*sqr(x18) + 3*
     sqr(x19) - sqr(x20) + 2*sqr(x21) + sqr(x22) - 3*sqr(x23) + 2*sqr(x24) + 2*
     sqr(x25) + 2*sqr(x26) - 2*sqr(x27) + 4*sqr(x28) - 4*sqr(x29) + 4*sqr(x30))
      + x31 =G= 0;

* set non default bounds

x1.up = 3; 
x2.lo = 3; x2.up = 8; 
x3.lo = 4; x3.up = 5; 
x4.lo = 3; x4.up = 5; 
x5.lo = 3; x5.up = 5; 
x6.lo = 3; x6.up = 6; 
x7.lo = 1; x7.up = 5; 
x8.lo = 3; x8.up = 5; 
x9.lo = 2; x9.up = 4; 
x10.lo = 1; x10.up = 2; 
x11.lo = 2; x11.up = 5; 
x12.lo = 3; x12.up = 4; 
x13.lo = 2; x13.up = 7; 
x14.up = 1; 
x15.lo = 2; x15.up = 7; 
x16.lo = 1; x16.up = 6; 
x17.lo = 1; x17.up = 6; 
x18.lo = 4; x18.up = 7; 
x19.lo = 1; x19.up = 6; 
x20.lo = 3; x20.up = 5; 
x21.lo = 1; x21.up = 6; 
x22.lo = 3; x22.up = 8; 
x23.lo = 2; x23.up = 7; 
x24.lo = 2; x24.up = 5; 
x25.up = 2; 
x26.lo = 2; x26.up = 7; 
x27.up = 2; 
x28.lo = 4; x28.up = 9; 
x29.up = 5; 
x30.lo = 4; x30.up = 9; 

* set non default levels

x2.l = 3; 
x3.l = 4; 
x4.l = 3; 
x5.l = 3; 
x6.l = 3; 
x7.l = 1; 
x8.l = 3; 
x9.l = 2; 
x10.l = 1; 
x11.l = 2; 
x12.l = 3; 
x13.l = 2; 
x15.l = 2; 
x16.l = 1; 
x17.l = 1; 
x18.l = 4; 
x19.l = 1; 
x20.l = 3; 
x21.l = 1; 
x22.l = 3; 
x23.l = 2; 
x24.l = 2; 
x26.l = 2; 
x28.l = 4; 
x30.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
