*  NLP written by GAMS Convert at 08/11/12 19:55:49
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        2        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         91        2       89        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x9,x15,x17,x23,x26,x28,x30;

Equations  e1,e2,e3;


e1.. -(4*x1**1*x2**1 + 4*x3**1*x4**1 + 4*x5**1*x6**1 + 3*x7**1*x8**1 - 3*x11**1
     *x12**1 + 2*x13**1*x14**1 - 2*x15**1*x16**1 - 2*x17**1*x18**1 - 3*x19**1*
     x20**1 + 2*x21**1*x22**1 + 3*x23**1*x24**1 + 4*x25**1*x26**1 - 4*x27**1*
     x28**1 + 4*x29**1*x30**1 + sqr(x1) - 2*sqr(x2) - 2*sqr(x3) + sqr(x4) - 4*
     sqr(x5) + sqr(x6) + 2*sqr(x7) + sqr(x8) + 3*sqr(x9) + 3*sqr(x11) + 4*sqr(
     x12) - 4*sqr(x13) - 4*sqr(x14) + 2*sqr(x15) + sqr(x16) - sqr(x17) - sqr(
     x18) + 2*sqr(x19) + 2*sqr(x20) + 4*sqr(x21) - sqr(x22) - 4*sqr(x23) - 2*
     sqr(x24) - sqr(x25) + sqr(x26) - 3*sqr(x27) + 2*sqr(x28) - sqr(x29) - 3*
     sqr(x30)) + x31 =G= 0;

e2.. -(x3**1*x4**1 - 3*x5**1*x6**1 + 4*x7**1*x8**1 + 4*x9**1*x10**1 + 2*x11**1*
     x12**1 + 4*x13**1*x14**1 - 4*x15**1*x16**1 - 2*x17**1*x18**1 + 3*x19**1*
     x20**1 - x21**1*x22**1 - x23**1*x24**1 - x25**1*x26**1 - 2*x27**1*x28**1
      + 4*x29**1*x30**1 + 4*sqr(x1) + 2*sqr(x2) - sqr(x3) - 3*sqr(x4) - 2*sqr(
     x5) - 2*sqr(x6) + 2*sqr(x7) - 4*sqr(x8) + 3*sqr(x9) - sqr(x13) - sqr(x14)
      + 3*sqr(x16) + 4*sqr(x17) + 2*sqr(x18) + 4*sqr(x19) + sqr(x20) - 3*sqr(
     x21) + 3*sqr(x22) + 3*sqr(x23) + 4*sqr(x24) + 4*sqr(x25) + 4*sqr(x26) - 
     sqr(x27) + 3*sqr(x28) - sqr(x29)) + x31 =G= 0;

e3.. 0.444444444444444*sqr((-2.5) + x1) + 0.444444444444444*sqr((-2.5) + x2) + 
     0.25*sqr((-3) + x3) + 4*sqr((-3.5) + x4) + 4*sqr((-1.5) + x5) + 0.25*sqr((
     -4) + x6) + sqr((-2) + x7) + 0.25*sqr((-4) + x8) + 0.444444444444444*sqr((
     -1.5) + x9) + 0.444444444444444*sqr((-5.5) + x10) + 0.25*sqr((-3) + x11)
      + 4*sqr((-3.5) + x12) + sqr((-5) + x13) + sqr((-4) + x14) + 0.25*sqr((-2)
      + x15) + sqr((-4) + x16) + 0.16*sqr((-2.5) + x17) + 0.25*sqr((-6) + x18)
      + 0.16*sqr((-6.5) + x19) + sqr((-4) + x20) + 0.444444444444444*sqr((-5.5)
      + x21) + 4*sqr((-1.5) + x22) + 0.25*sqr((-2) + x23) + 4*sqr((-1.5) + x24)
      + 0.444444444444444*sqr((-3.5) + x25) + 0.25*sqr((-2) + x26) + 0.25*sqr((
     -4) + x27) + 0.16*sqr((-2.5) + x28) + 0.25*sqr((-6) + x29) + 0.16*sqr((-
     2.5) + x30) =L= 1;

* set non default bounds

x1.lo = 1; x1.up = 4; 
x2.lo = 1; x2.up = 4; 
x3.lo = 1; x3.up = 5; 
x4.lo = 3; x4.up = 4; 
x5.lo = 1; x5.up = 2; 
x6.lo = 2; x6.up = 6; 
x7.lo = 1; x7.up = 3; 
x8.lo = 2; x8.up = 6; 
x9.up = 3; 
x10.lo = 4; x10.up = 7; 
x11.lo = 1; x11.up = 5; 
x12.lo = 3; x12.up = 4; 
x13.lo = 4; x13.up = 6; 
x14.lo = 3; x14.up = 5; 
x15.up = 4; 
x16.lo = 3; x16.up = 5; 
x17.up = 5; 
x18.lo = 4; x18.up = 8; 
x19.lo = 4; x19.up = 9; 
x20.lo = 3; x20.up = 5; 
x21.lo = 4; x21.up = 7; 
x22.lo = 1; x22.up = 2; 
x23.up = 4; 
x24.lo = 1; x24.up = 2; 
x25.lo = 2; x25.up = 5; 
x26.up = 4; 
x27.lo = 2; x27.up = 6; 
x28.up = 5; 
x29.lo = 4; x29.up = 8; 
x30.up = 5; 

* set non default levels

x1.l = 1; 
x2.l = 1; 
x3.l = 1; 
x4.l = 3; 
x5.l = 1; 
x6.l = 2; 
x7.l = 1; 
x8.l = 2; 
x10.l = 4; 
x11.l = 1; 
x12.l = 3; 
x13.l = 4; 
x14.l = 3; 
x16.l = 3; 
x18.l = 4; 
x19.l = 4; 
x20.l = 3; 
x21.l = 4; 
x22.l = 1; 
x24.l = 1; 
x25.l = 2; 
x27.l = 2; 
x29.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
