*  NLP written by GAMS Convert at 08/11/12 19:55:52
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        3        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         93        3       90        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x8,x9,x21,x23,x29;

Equations  e1,e2,e3;


e1.. -(3*x1**1*x2**1 + x3**1*x4**1 + 3*x5**1*x6**1 - 3*x7**1*x8**1 - 2*x9**1*
     x10**1 + 3*x11**1*x12**1 + x15**1*x16**1 + 4*x17**1*x18**1 + 4*x19**1*x20
     **1 + x21**1*x22**1 - 3*x23**1*x24**1 + x25**1*x26**1 + 4*x27**1*x28**1 + 
     2*x29**1*x30**1 + 4*sqr(x2) - sqr(x1) + 2*sqr(x3) - 3*sqr(x4) - sqr(x5) - 
     2*sqr(x6) - sqr(x7) - 2*sqr(x8) - sqr(x10) + 2*sqr(x11) + sqr(x12) + 4*
     sqr(x13) - 4*sqr(x14) - sqr(x16) + sqr(x17) - 2*sqr(x18) + 3*sqr(x19) + 3*
     sqr(x20) + 4*sqr(x21) + sqr(x22) - 2*sqr(x23) - 3*sqr(x24) - 4*sqr(x25) - 
     sqr(x26) + 2*sqr(x27) - 4*sqr(x28) + 4*sqr(x29) + 3*sqr(x30)) + x31 =G= 0;

e2.. -(2*x3**1*x4**1 - 4*x1**1*x2**1 + 2*x5**1*x6**1 - 4*x7**1*x8**1 - 4*x11**1
     *x12**1 - x13**1*x14**1 + 4*x15**1*x16**1 + x17**1*x18**1 - 4*x19**1*x20**
     1 - x21**1*x22**1 + 2*x23**1*x24**1 + 4*x25**1*x26**1 + 4*x27**1*x28**1 + 
     x29**1*x30**1 + 4*sqr(x4) - 2*sqr(x2) - 3*sqr(x5) + sqr(x6) - 3*sqr(x7) + 
     sqr(x8) + 3*sqr(x9) + 2*sqr(x10) + 2*sqr(x11) - 2*sqr(x12) - 4*sqr(x13) - 
     sqr(x14) - 2*sqr(x15) - 2*sqr(x16) + 2*sqr(x17) + sqr(x18) - 4*sqr(x23) - 
     sqr(x25) + 4*sqr(x26) + 4*sqr(x27) - 3*sqr(x28) + 2*sqr(x29) + 3*sqr(x30))
      + x31 =G= 0;

e3.. -(-3*x1**1*x2**1 - 2*x3**1*x4**1 - x5**1*x6**1 - 3*x7**1*x8**1 - 4*x9**1*
     x10**1 - 2*x11**1*x12**1 - 2*x13**1*x14**1 + 3*x15**1*x16**1 + 3*x17**1*
     x18**1 + 2*x21**1*x22**1 + 4*x23**1*x24**1 - x25**1*x26**1 - 2*x27**1*x28
     **1 + 2*x29**1*x30**1 + 2*sqr(x1) + 4*sqr(x2) + 4*sqr(x3) - 3*sqr(x4) + 
     sqr(x5) - 4*sqr(x6) + 2*sqr(x7) + sqr(x8) - sqr(x9) - 4*sqr(x11) + 3*sqr(
     x12) + sqr(x13) - 4*sqr(x14) - 3*sqr(x15) + 3*sqr(x16) - 2*sqr(x17) + sqr(
     x18) - 2*sqr(x19) + sqr(x20) + 3*sqr(x21) + 3*sqr(x23) + 4*sqr(x24) + 4*
     sqr(x25) - 3*sqr(x26) + sqr(x27) + sqr(x28) - 2*sqr(x29) - 4*sqr(x30))
      + x31 =G= 0;

* set non default bounds

x1.lo = 2; x1.up = 5; 
x2.lo = 3; x2.up = 8; 
x3.lo = 2; x3.up = 3; 
x4.lo = 2; x4.up = 7; 
x5.lo = 4; x5.up = 6; 
x6.lo = 4; x6.up = 8; 
x7.lo = 3; x7.up = 5; 
x8.up = 5; 
x9.up = 1; 
x10.lo = 1; x10.up = 3; 
x11.lo = 1; x11.up = 2; 
x12.lo = 3; x12.up = 6; 
x13.lo = 1; x13.up = 2; 
x14.lo = 2; x14.up = 6; 
x15.lo = 4; x15.up = 7; 
x16.lo = 4; x16.up = 6; 
x17.lo = 1; x17.up = 4; 
x18.lo = 2; x18.up = 7; 
x19.lo = 4; x19.up = 7; 
x20.lo = 3; x20.up = 5; 
x21.up = 3; 
x22.lo = 4; x22.up = 8; 
x23.up = 3; 
x24.lo = 4; x24.up = 6; 
x25.lo = 4; x25.up = 6; 
x26.lo = 4; x26.up = 7; 
x27.lo = 1; x27.up = 5; 
x28.lo = 4; x28.up = 9; 
x29.up = 4; 
x30.lo = 4; x30.up = 9; 

* set non default levels

x1.l = 2; 
x2.l = 3; 
x3.l = 2; 
x4.l = 2; 
x5.l = 4; 
x6.l = 4; 
x7.l = 3; 
x10.l = 1; 
x11.l = 1; 
x12.l = 3; 
x13.l = 1; 
x14.l = 2; 
x15.l = 4; 
x16.l = 4; 
x17.l = 1; 
x18.l = 2; 
x19.l = 4; 
x20.l = 3; 
x22.l = 4; 
x24.l = 4; 
x25.l = 4; 
x26.l = 4; 
x27.l = 1; 
x28.l = 4; 
x30.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
