*  NLP written by GAMS Convert at 08/11/12 19:55:52
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          3        0        3        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         31       31        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         93        3       90        0
*
*  Solve m using NLP minimizing x31;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31;

Positive Variables  x3,x25,x26,x27,x30;

Equations  e1,e2,e3;


e1.. -(4*x1**1*x2**1 + 3*x3**1*x4**1 + 4*x5**1*x6**1 + 2*x7**1*x8**1 + 3*x9**1*
     x10**1 - 2*x11**1*x12**1 - 2*x13**1*x14**1 + 3*x15**1*x16**1 + x17**1*x18
     **1 - 4*x19**1*x20**1 + 2*x21**1*x22**1 + 3*x23**1*x24**1 + 2*x25**1*x26**
     1 + 2*x27**1*x28**1 + 3*x29**1*x30**1 + sqr(x1) + 3*sqr(x2) + 3*sqr(x3) - 
     2*sqr(x4) + sqr(x5) + sqr(x6) + 3*sqr(x7) + 2*sqr(x8) + sqr(x9) + sqr(x10)
      + sqr(x11) + 2*sqr(x12) - sqr(x13) - 3*sqr(x14) - sqr(x15) - 2*sqr(x16)
      + 3*sqr(x17) - sqr(x18) + sqr(x19) - 3*sqr(x20) - 3*sqr(x21) + sqr(x22)
      + sqr(x23) - 2*sqr(x24) + sqr(x25) - 4*sqr(x26) + sqr(x27) - sqr(x28) + 4
     *sqr(x29) + 2*sqr(x30)) + x31 =G= 0;

e2.. -(3*x1**1*x2**1 + 3*x3**1*x4**1 + x5**1*x6**1 + x7**1*x8**1 - 3*x9**1*x10
     **1 + 2*x11**1*x12**1 - 4*x13**1*x14**1 + 2*x19**1*x20**1 - 4*x23**1*x24**
     1 - x25**1*x26**1 + 2*x27**1*x28**1 + x29**1*x30**1 + 4*sqr(x1) - 2*sqr(x3
     ) + sqr(x4) + 4*sqr(x6) - 3*sqr(x7) - 2*sqr(x8) - sqr(x9) + sqr(x11) + 4*
     sqr(x12) + 4*sqr(x13) + 2*sqr(x14) + 3*sqr(x15) - sqr(x16) + 4*sqr(x17) + 
     sqr(x18) + sqr(x20) + 2*sqr(x21) - sqr(x22) + 4*sqr(x23) - 3*sqr(x24) + 2*
     sqr(x25) - 2*sqr(x26) + 4*sqr(x27) - 2*sqr(x28) + 3*sqr(x30)) + x31 =G= 0;

e3.. -(-2*x1**1*x2**1 - 2*x5**1*x6**1 - 4*x7**1*x8**1 + 3*x9**1*x10**1 + 3*x13
     **1*x14**1 + 2*x15**1*x16**1 - 3*x19**1*x20**1 + 2*x21**1*x22**1 - 3*x23**
     1*x24**1 - x25**1*x26**1 + 3*x29**1*x30**1 + 2*sqr(x1) - sqr(x2) - 4*sqr(
     x3) - 4*sqr(x4) + 2*sqr(x5) + 2*sqr(x7) + sqr(x8) + 2*sqr(x9) - 4*sqr(x10)
      - 3*sqr(x11) - 4*sqr(x12) + 2*sqr(x13) - 4*sqr(x14) + 2*sqr(x15) + sqr(
     x16) - 3*sqr(x17) + 2*sqr(x18) + 4*sqr(x19) + sqr(x20) - 4*sqr(x21) + 3*
     sqr(x23) + 2*sqr(x24) - sqr(x25) + 4*sqr(x27) - 2*sqr(x28) - sqr(x30))
      + x31 =G= 0;

* set non default bounds

x1.lo = 2; x1.up = 3; 
x2.lo = 3; x2.up = 6; 
x3.up = 3; 
x4.lo = 3; x4.up = 4; 
x5.lo = 1; x5.up = 2; 
x6.lo = 3; x6.up = 7; 
x7.lo = 4; x7.up = 5; 
x8.lo = 4; x8.up = 6; 
x9.lo = 3; x9.up = 6; 
x10.lo = 2; x10.up = 6; 
x11.lo = 2; x11.up = 7; 
x12.lo = 4; x12.up = 8; 
x13.lo = 2; x13.up = 5; 
x14.lo = 1; x14.up = 5; 
x15.lo = 2; x15.up = 6; 
x16.lo = 3; x16.up = 8; 
x17.lo = 4; x17.up = 6; 
x18.lo = 3; x18.up = 5; 
x19.lo = 1; x19.up = 3; 
x20.lo = 4; x20.up = 7; 
x21.lo = 4; x21.up = 9; 
x22.lo = 2; x22.up = 3; 
x23.lo = 4; x23.up = 8; 
x24.lo = 1; x24.up = 6; 
x25.up = 2; 
x26.up = 1; 
x27.up = 5; 
x28.lo = 3; x28.up = 4; 
x29.lo = 4; x29.up = 5; 
x30.up = 2; 

* set non default levels

x1.l = 2; 
x2.l = 3; 
x4.l = 3; 
x5.l = 1; 
x6.l = 3; 
x7.l = 4; 
x8.l = 4; 
x9.l = 3; 
x10.l = 2; 
x11.l = 2; 
x12.l = 4; 
x13.l = 2; 
x14.l = 1; 
x15.l = 2; 
x16.l = 3; 
x17.l = 4; 
x18.l = 3; 
x19.l = 1; 
x20.l = 4; 
x21.l = 4; 
x22.l = 2; 
x23.l = 4; 
x24.l = 1; 
x28.l = 3; 
x29.l = 4; 

* set non default marginals


Model m / all /;

m.limrow=0; m.limcol=0;

m.optcr      = 0;
Solve m using NLP minimizing x31;
